using System;
using System.Threading;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Net;
using System.Net.Sockets;
using AddiData.ADDIControls;
using AddiData.ADDISocket;
using AddiData;

namespace Auto_refresh
{
    
    /// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class F_Autorefresh : System.Windows.Forms.Form
	{
		private System.Windows.Forms.GroupBox GB_Trigger;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.ComboBox CB_TriggerMask;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.GroupBox GB_Channel;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.GroupBox GB_Help;
		private System.Windows.Forms.Label L_Help;
		private System.Windows.Forms.GroupBox GB_Description;
		private System.Windows.Forms.Label L_Description;
		private System.Windows.Forms.Button B_StopSample;
		private System.Windows.Forms.Button B_StartSample;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox TB_IPAddress_3;
		private System.Windows.Forms.TextBox TB_IPAddress_2;
		private System.Windows.Forms.TextBox TB_IPAddress_1;
		private System.Windows.Forms.TextBox TB_IPAddress_0;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.ComboBox CB_TriggerMode;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.TextBox TB_NbrOfSeqForEachTrigger;
		private System.Windows.Forms.GroupBox GB_DataFormat;
		private System.Windows.Forms.GroupBox GB_Average;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.ComboBox CB_AverageMode;
		private System.Windows.Forms.TextBox TB_AverageValue;
		private System.Windows.Forms.GroupBox GB_ConversionTime;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.ComboBox CB_ConversionTimeUnit;
		private System.Windows.Forms.TextBox TB_ConversionTimeValue;
		private System.Windows.Forms.TextBox TB_Values;
        private System.Windows.Forms.Timer DisplayTimer;
		private System.ComponentModel.IContainer components;
        private CheckBox CHB_Ch0;
        private CheckBox CHB_Ch1;
        private CheckBox CHB_Ch2;
        private CheckBox CHB_Ch3;
        private CheckBox CHB_Ch4;
        private CheckBox CHB_Ch5;
        private CheckBox CHB_Ch6;
        private CheckBox CHB_Ch7;
        private CheckBox CHB_Ch8;
        private CheckBox CHB_Ch9;
        private CheckBox CHB_Ch10;
        private CheckBox CHB_Ch11;
        private CheckBox CHB_Ch12;
        private CheckBox CHB_Ch13;
        private CheckBox CHB_Ch15;
        private CheckBox CHB_Ch14;
        private ComboBox CB_Gain1;
        private ComboBox CB_Gain2;
        private ComboBox CB_Gain3;
        private ComboBox CB_Gain4;
        private ComboBox CB_Gain5;
        private ComboBox CB_Gain6;
        private ComboBox CB_Gain7;
        private ComboBox CB_Gain8;
        private ComboBox CB_Gain9;
        private ComboBox CB_Gain10;
        private ComboBox CB_Gain11;
        private ComboBox CB_Gain12;
        private ComboBox CB_Gain13;
        private ComboBox CB_Gain14;
        private ComboBox CB_Gain15;
        private ComboBox CB_Polarity0;
        private ComboBox CB_Polarity1;
        private ComboBox CB_Polarity2;
        private ComboBox CB_Polarity3;
        private ComboBox CB_Polarity4;
        private ComboBox CB_Polarity5;
        private ComboBox CB_Polarity6;
        private ComboBox CB_Polarity7;
        private ComboBox CB_Polarity8;
        private ComboBox CB_Polarity9;
        private ComboBox CB_Polarity10;
        private ComboBox CB_Polarity11;
        private ComboBox CB_Polarity12;
        private ComboBox CB_Polarity13;
        private ComboBox CB_Polarity14;
        private ComboBox CB_Polarity15;
		private System.Windows.Forms.TextBox TB_HardwareTriggerCount;
		private System.Windows.Forms.CheckBox CHB_DataFormatAnalogValue;
		private System.Windows.Forms.CheckBox CHB_DataFormatTimeStamp;
		private System.Windows.Forms.ComboBox CB_HardwareTriggerEdge;
		private System.Windows.Forms.Label label11;
        private GroupBox GB_AcquisitionMode;
        private Label L_Info;
        private RadioButton RB_DataServer;
        private RadioButton RB_SOAP;
        private System.Windows.Forms.Timer ReadTimer;
        private ComboBox CB_Gain0;

		public F_Autorefresh()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(F_Autorefresh));
            this.GB_Trigger = new System.Windows.Forms.GroupBox();
            this.TB_NbrOfSeqForEachTrigger = new System.Windows.Forms.TextBox();
            this.label12 = new System.Windows.Forms.Label();
            this.CB_TriggerMode = new System.Windows.Forms.ComboBox();
            this.label10 = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.CB_TriggerMask = new System.Windows.Forms.ComboBox();
            this.TB_HardwareTriggerCount = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.CB_HardwareTriggerEdge = new System.Windows.Forms.ComboBox();
            this.GB_Channel = new System.Windows.Forms.GroupBox();
            this.CB_Polarity15 = new ComboBox();
            this.CB_Polarity14 = new ComboBox();
            this.CB_Polarity13 = new ComboBox();
            this.CB_Polarity12 = new ComboBox();
            this.CB_Polarity11 = new ComboBox();
            this.CB_Polarity10 = new ComboBox();
            this.CB_Polarity9 = new ComboBox();
            this.CB_Polarity8 = new ComboBox();
            this.CB_Polarity7 = new ComboBox();
            this.CB_Polarity6 = new ComboBox();
            this.CB_Polarity5 = new ComboBox();
            this.CB_Polarity4 = new ComboBox();
            this.CB_Polarity3 = new ComboBox();
            this.CB_Polarity2 = new ComboBox();
            this.CB_Polarity1 = new ComboBox();
            this.CB_Polarity0 = new ComboBox();
            this.CB_Gain15 = new ComboBox();
            this.CB_Gain14 = new ComboBox();
            this.CB_Gain13 = new ComboBox();
            this.CB_Gain12 = new ComboBox();
            this.CB_Gain11 = new ComboBox();
            this.CB_Gain10 = new ComboBox();
            this.CB_Gain9 = new ComboBox();
            this.CB_Gain8 = new ComboBox();
            this.CB_Gain7 = new ComboBox();
            this.CB_Gain6 = new ComboBox();
            this.CB_Gain5 = new ComboBox();
            this.CB_Gain4 = new ComboBox();
            this.CB_Gain3 = new ComboBox();
            this.CB_Gain2 = new ComboBox();
            this.CB_Gain1 = new ComboBox();
            this.CHB_Ch15 = new CheckBox();
            this.CHB_Ch14 = new CheckBox();
            this.CB_Gain0 = new ComboBox();
            this.CHB_Ch13 = new CheckBox();
            this.CHB_Ch12 = new CheckBox();
            this.CHB_Ch11 = new CheckBox();
            this.CHB_Ch10 = new CheckBox();
            this.CHB_Ch9 = new CheckBox();
            this.CHB_Ch8 = new CheckBox();
            this.CHB_Ch7 = new CheckBox();
            this.CHB_Ch6 = new CheckBox();
            this.CHB_Ch5 = new CheckBox();
            this.CHB_Ch4 = new CheckBox();
            this.CHB_Ch3 = new CheckBox();
            this.CHB_Ch2 = new CheckBox();
            this.CHB_Ch1 = new CheckBox();
            this.CHB_Ch0 = new CheckBox();
            this.label4 = new System.Windows.Forms.Label();
            this.label6 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.GB_Help = new System.Windows.Forms.GroupBox();
            this.L_Help = new System.Windows.Forms.Label();
            this.GB_Description = new System.Windows.Forms.GroupBox();
            this.L_Description = new System.Windows.Forms.Label();
            this.B_StopSample = new System.Windows.Forms.Button();
            this.B_StartSample = new System.Windows.Forms.Button();
            this.label3 = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.TB_IPAddress_3 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_2 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_1 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_0 = new System.Windows.Forms.TextBox();
            this.label19 = new System.Windows.Forms.Label();
            this.GB_DataFormat = new System.Windows.Forms.GroupBox();
            this.CHB_DataFormatAnalogValue = new System.Windows.Forms.CheckBox();
            this.CHB_DataFormatTimeStamp = new System.Windows.Forms.CheckBox();
            this.GB_Average = new System.Windows.Forms.GroupBox();
            this.TB_AverageValue = new System.Windows.Forms.TextBox();
            this.CB_AverageMode = new System.Windows.Forms.ComboBox();
            this.label14 = new System.Windows.Forms.Label();
            this.label13 = new System.Windows.Forms.Label();
            this.GB_ConversionTime = new System.Windows.Forms.GroupBox();
            this.label11 = new System.Windows.Forms.Label();
            this.TB_ConversionTimeValue = new System.Windows.Forms.TextBox();
            this.label16 = new System.Windows.Forms.Label();
            this.CB_ConversionTimeUnit = new System.Windows.Forms.ComboBox();
            this.label15 = new System.Windows.Forms.Label();
            this.TB_Values = new System.Windows.Forms.TextBox();
            this.DisplayTimer = new System.Windows.Forms.Timer(this.components);
            this.GB_AcquisitionMode = new System.Windows.Forms.GroupBox();
            this.L_Info = new System.Windows.Forms.Label();
            this.RB_DataServer = new System.Windows.Forms.RadioButton();
            this.RB_SOAP = new System.Windows.Forms.RadioButton();
            this.ReadTimer = new System.Windows.Forms.Timer(this.components);
            this.GB_Trigger.SuspendLayout();
            this.GB_Channel.SuspendLayout();
            this.GB_Help.SuspendLayout();
            this.GB_Description.SuspendLayout();
            this.GB_DataFormat.SuspendLayout();
            this.GB_Average.SuspendLayout();
            this.GB_ConversionTime.SuspendLayout();
            this.GB_AcquisitionMode.SuspendLayout();
            this.SuspendLayout();
            // 
            // GB_Trigger
            // 
            this.GB_Trigger.Controls.Add(this.TB_NbrOfSeqForEachTrigger);
            this.GB_Trigger.Controls.Add(this.label12);
            this.GB_Trigger.Controls.Add(this.CB_TriggerMode);
            this.GB_Trigger.Controls.Add(this.label10);
            this.GB_Trigger.Controls.Add(this.label7);
            this.GB_Trigger.Controls.Add(this.CB_TriggerMask);
            this.GB_Trigger.Controls.Add(this.TB_HardwareTriggerCount);
            this.GB_Trigger.Controls.Add(this.label9);
            this.GB_Trigger.Controls.Add(this.label8);
            this.GB_Trigger.Controls.Add(this.CB_HardwareTriggerEdge);
            this.GB_Trigger.Location = new System.Drawing.Point(16, 360);
            this.GB_Trigger.Name = "GB_Trigger";
            this.GB_Trigger.Size = new System.Drawing.Size(264, 192);
            this.GB_Trigger.TabIndex = 79;
            this.GB_Trigger.TabStop = false;
            this.GB_Trigger.Text = "Trigger configuration";
            // 
            // TB_NbrOfSeqForEachTrigger
            // 
            this.TB_NbrOfSeqForEachTrigger.Enabled = false;
            this.TB_NbrOfSeqForEachTrigger.Location = new System.Drawing.Point(168, 152);
            this.TB_NbrOfSeqForEachTrigger.Name = "TB_NbrOfSeqForEachTrigger";
            this.TB_NbrOfSeqForEachTrigger.Size = new System.Drawing.Size(80, 20);
            this.TB_NbrOfSeqForEachTrigger.TabIndex = 17;
            this.TB_NbrOfSeqForEachTrigger.Text = "1";
            // 
            // label12
            // 
            this.label12.Location = new System.Drawing.Point(16, 152);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(128, 24);
            this.label12.TabIndex = 16;
            this.label12.Text = "Nbr of Sequence to acquire for each trigger :";
            // 
            // CB_TriggerMode
            // 
            this.CB_TriggerMode.Enabled = false;
            this.CB_TriggerMode.Items.AddRange(new object[] {
            "Single shot",
            "Sequence"});
            this.CB_TriggerMode.Location = new System.Drawing.Point(168, 112);
            this.CB_TriggerMode.Name = "CB_TriggerMode";
            this.CB_TriggerMode.Size = new System.Drawing.Size(80, 21);
            this.CB_TriggerMode.TabIndex = 15;
            this.CB_TriggerMode.Text = "Single shot";
            this.CB_TriggerMode.SelectedIndexChanged += new System.EventHandler(this.CB_TriggerMode_SelectedIndexChanged);
            // 
            // label10
            // 
            this.label10.Location = new System.Drawing.Point(16, 120);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(128, 16);
            this.label10.TabIndex = 14;
            this.label10.Text = "Trigger mode :";
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(16, 16);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(80, 23);
            this.label7.TabIndex = 7;
            this.label7.Text = "Trigger mask :";
            // 
            // CB_TriggerMask
            // 
            this.CB_TriggerMask.Items.AddRange(new object[] {
            "No trigger",
            "Digital input trigger",
            "Synchro trigger"});
            this.CB_TriggerMask.Location = new System.Drawing.Point(96, 16);
            this.CB_TriggerMask.Name = "CB_TriggerMask";
            this.CB_TriggerMask.Size = new System.Drawing.Size(152, 21);
            this.CB_TriggerMask.TabIndex = 6;
            this.CB_TriggerMask.Text = "No trigger";
            this.CB_TriggerMask.SelectedIndexChanged += new System.EventHandler(this.CB_TriggerMask_SelectedIndexChanged);
            // 
            // TB_HardwareTriggerCount
            // 
            this.TB_HardwareTriggerCount.Enabled = false;
            this.TB_HardwareTriggerCount.Location = new System.Drawing.Point(168, 80);
            this.TB_HardwareTriggerCount.Name = "TB_HardwareTriggerCount";
            this.TB_HardwareTriggerCount.Size = new System.Drawing.Size(80, 20);
            this.TB_HardwareTriggerCount.TabIndex = 11;
            this.TB_HardwareTriggerCount.Text = "1";
            // 
            // label9
            // 
            this.label9.Location = new System.Drawing.Point(16, 88);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(128, 16);
            this.label9.TabIndex = 10;
            this.label9.Text = "Hardware trigger Count :";
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(16, 56);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(128, 16);
            this.label8.TabIndex = 9;
            this.label8.Text = "Hardware trigger edge :";
            // 
            // CB_HardwareTriggerEdge
            // 
            this.CB_HardwareTriggerEdge.Enabled = false;
            this.CB_HardwareTriggerEdge.Items.AddRange(new object[] {
            "Rising edge",
            "Falling edge",
            "Both edge"});
            this.CB_HardwareTriggerEdge.Location = new System.Drawing.Point(168, 48);
            this.CB_HardwareTriggerEdge.Name = "CB_HardwareTriggerEdge";
            this.CB_HardwareTriggerEdge.Size = new System.Drawing.Size(80, 21);
            this.CB_HardwareTriggerEdge.TabIndex = 8;
            this.CB_HardwareTriggerEdge.Text = "Rising edge";
            // 
            // GB_Channel
            // 
            this.GB_Channel.Controls.Add(this.CB_Polarity15);
            this.GB_Channel.Controls.Add(this.CB_Polarity14);
            this.GB_Channel.Controls.Add(this.CB_Polarity13);
            this.GB_Channel.Controls.Add(this.CB_Polarity12);
            this.GB_Channel.Controls.Add(this.CB_Polarity11);
            this.GB_Channel.Controls.Add(this.CB_Polarity10);
            this.GB_Channel.Controls.Add(this.CB_Polarity9);
            this.GB_Channel.Controls.Add(this.CB_Polarity8);
            this.GB_Channel.Controls.Add(this.CB_Polarity7);
            this.GB_Channel.Controls.Add(this.CB_Polarity6);
            this.GB_Channel.Controls.Add(this.CB_Polarity5);
            this.GB_Channel.Controls.Add(this.CB_Polarity4);
            this.GB_Channel.Controls.Add(this.CB_Polarity3);
            this.GB_Channel.Controls.Add(this.CB_Polarity2);
            this.GB_Channel.Controls.Add(this.CB_Polarity1);
            this.GB_Channel.Controls.Add(this.CB_Polarity0);
            this.GB_Channel.Controls.Add(this.CB_Gain15);
            this.GB_Channel.Controls.Add(this.CB_Gain14);
            this.GB_Channel.Controls.Add(this.CB_Gain13);
            this.GB_Channel.Controls.Add(this.CB_Gain12);
            this.GB_Channel.Controls.Add(this.CB_Gain11);
            this.GB_Channel.Controls.Add(this.CB_Gain10);
            this.GB_Channel.Controls.Add(this.CB_Gain9);
            this.GB_Channel.Controls.Add(this.CB_Gain8);
            this.GB_Channel.Controls.Add(this.CB_Gain7);
            this.GB_Channel.Controls.Add(this.CB_Gain6);
            this.GB_Channel.Controls.Add(this.CB_Gain5);
            this.GB_Channel.Controls.Add(this.CB_Gain4);
            this.GB_Channel.Controls.Add(this.CB_Gain3);
            this.GB_Channel.Controls.Add(this.CB_Gain2);
            this.GB_Channel.Controls.Add(this.CB_Gain1);
            this.GB_Channel.Controls.Add(this.CHB_Ch15);
            this.GB_Channel.Controls.Add(this.CHB_Ch14);
            this.GB_Channel.Controls.Add(this.CB_Gain0);
            this.GB_Channel.Controls.Add(this.CHB_Ch13);
            this.GB_Channel.Controls.Add(this.CHB_Ch12);
            this.GB_Channel.Controls.Add(this.CHB_Ch11);
            this.GB_Channel.Controls.Add(this.CHB_Ch10);
            this.GB_Channel.Controls.Add(this.CHB_Ch9);
            this.GB_Channel.Controls.Add(this.CHB_Ch8);
            this.GB_Channel.Controls.Add(this.CHB_Ch7);
            this.GB_Channel.Controls.Add(this.CHB_Ch6);
            this.GB_Channel.Controls.Add(this.CHB_Ch5);
            this.GB_Channel.Controls.Add(this.CHB_Ch4);
            this.GB_Channel.Controls.Add(this.CHB_Ch3);
            this.GB_Channel.Controls.Add(this.CHB_Ch2);
            this.GB_Channel.Controls.Add(this.CHB_Ch1);
            this.GB_Channel.Controls.Add(this.CHB_Ch0);
            this.GB_Channel.Controls.Add(this.label4);
            this.GB_Channel.Controls.Add(this.label6);
            this.GB_Channel.Controls.Add(this.label5);
            this.GB_Channel.Location = new System.Drawing.Point(16, 224);
            this.GB_Channel.Name = "GB_Channel";
            this.GB_Channel.Size = new System.Drawing.Size(856, 120);
            this.GB_Channel.TabIndex = 77;
            this.GB_Channel.TabStop = false;
            this.GB_Channel.Text = "Channel configuration";
            // 
            // CB_Polarity15
            // 
            this.CB_Polarity15.Enabled = false;
            this.CB_Polarity15.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity15.Location = new System.Drawing.Point(792, 88);
            this.CB_Polarity15.Name = "CB_Polarity15";
            this.CB_Polarity15.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity15.TabIndex = 70;
            this.CB_Polarity15.Text = "Uni";
            // 
            // CB_Polarity14
            // 
            this.CB_Polarity14.Enabled = false;
            this.CB_Polarity14.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity14.Location = new System.Drawing.Point(744, 88);
            this.CB_Polarity14.Name = "CB_Polarity14";
            this.CB_Polarity14.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity14.TabIndex = 69;
            this.CB_Polarity14.Text = "Uni";
            // 
            // CB_Polarity13
            // 
            this.CB_Polarity13.Enabled = false;
            this.CB_Polarity13.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity13.Location = new System.Drawing.Point(696, 88);
            this.CB_Polarity13.Name = "CB_Polarity13";
            this.CB_Polarity13.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity13.TabIndex = 68;
            this.CB_Polarity13.Text = "Uni";
            // 
            // CB_Polarity12
            // 
            this.CB_Polarity12.Enabled = false;
            this.CB_Polarity12.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity12.Location = new System.Drawing.Point(648, 88);
            this.CB_Polarity12.Name = "CB_Polarity12";
            this.CB_Polarity12.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity12.TabIndex = 67;
            this.CB_Polarity12.Text = "Uni";
            // 
            // CB_Polarity11
            // 
            this.CB_Polarity11.Enabled = false;
            this.CB_Polarity11.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity11.Location = new System.Drawing.Point(600, 88);
            this.CB_Polarity11.Name = "CB_Polarity11";
            this.CB_Polarity11.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity11.TabIndex = 66;
            this.CB_Polarity11.Text = "Uni";
            // 
            // CB_Polarity10
            // 
            this.CB_Polarity10.Enabled = false;
            this.CB_Polarity10.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity10.Location = new System.Drawing.Point(552, 88);
            this.CB_Polarity10.Name = "CB_Polarity10";
            this.CB_Polarity10.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity10.TabIndex = 65;
            this.CB_Polarity10.Text = "Uni";
            // 
            // CB_Polarity9
            // 
            this.CB_Polarity9.Enabled = false;
            this.CB_Polarity9.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity9.Location = new System.Drawing.Point(504, 88);
            this.CB_Polarity9.Name = "CB_Polarity9";
            this.CB_Polarity9.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity9.TabIndex = 64;
            this.CB_Polarity9.Text = "Uni";
            // 
            // CB_Polarity8
            // 
            this.CB_Polarity8.Enabled = false;
            this.CB_Polarity8.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity8.Location = new System.Drawing.Point(456, 88);
            this.CB_Polarity8.Name = "CB_Polarity8";
            this.CB_Polarity8.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity8.TabIndex = 63;
            this.CB_Polarity8.Text = "Uni";
            // 
            // CB_Polarity7
            // 
            this.CB_Polarity7.Enabled = false;
            this.CB_Polarity7.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity7.Location = new System.Drawing.Point(408, 88);
            this.CB_Polarity7.Name = "CB_Polarity7";
            this.CB_Polarity7.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity7.TabIndex = 62;
            this.CB_Polarity7.Text = "Uni";
            // 
            // CB_Polarity6
            // 
            this.CB_Polarity6.Enabled = false;
            this.CB_Polarity6.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity6.Location = new System.Drawing.Point(360, 88);
            this.CB_Polarity6.Name = "CB_Polarity6";
            this.CB_Polarity6.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity6.TabIndex = 61;
            this.CB_Polarity6.Text = "Uni";
            // 
            // CB_Polarity5
            // 
            this.CB_Polarity5.Enabled = false;
            this.CB_Polarity5.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity5.Location = new System.Drawing.Point(312, 88);
            this.CB_Polarity5.Name = "CB_Polarity5";
            this.CB_Polarity5.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity5.TabIndex = 60;
            this.CB_Polarity5.Text = "Uni";
            // 
            // CB_Polarity4
            // 
            this.CB_Polarity4.Enabled = false;
            this.CB_Polarity4.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity4.Location = new System.Drawing.Point(264, 88);
            this.CB_Polarity4.Name = "CB_Polarity4";
            this.CB_Polarity4.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity4.TabIndex = 59;
            this.CB_Polarity4.Text = "Uni";
            // 
            // CB_Polarity3
            // 
            this.CB_Polarity3.Enabled = false;
            this.CB_Polarity3.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity3.Location = new System.Drawing.Point(216, 88);
            this.CB_Polarity3.Name = "CB_Polarity3";
            this.CB_Polarity3.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity3.TabIndex = 58;
            this.CB_Polarity3.Text = "Uni";
            // 
            // CB_Polarity2
            // 
            this.CB_Polarity2.Enabled = false;
            this.CB_Polarity2.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity2.Location = new System.Drawing.Point(168, 88);
            this.CB_Polarity2.Name = "CB_Polarity2";
            this.CB_Polarity2.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity2.TabIndex = 57;
            this.CB_Polarity2.Text = "Uni";
            // 
            // CB_Polarity1
            // 
            this.CB_Polarity1.Enabled = false;
            this.CB_Polarity1.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity1.Location = new System.Drawing.Point(120, 88);
            this.CB_Polarity1.Name = "CB_Polarity1";
            this.CB_Polarity1.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity1.TabIndex = 56;
            this.CB_Polarity1.Text = "Uni";
            // 
            // CB_Polarity0
            // 
            this.CB_Polarity0.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_Polarity0.Location = new System.Drawing.Point(72, 88);
            this.CB_Polarity0.Name = "CB_Polarity0";
            this.CB_Polarity0.Size = new System.Drawing.Size(40, 21);
            this.CB_Polarity0.TabIndex = 55;
            this.CB_Polarity0.Text = "Uni";
            // 
            // CB_Gain15
            // 
            this.CB_Gain15.Enabled = false;
            this.CB_Gain15.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain15.Location = new System.Drawing.Point(792, 56);
            this.CB_Gain15.Name = "CB_Gain15";
            this.CB_Gain15.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain15.TabIndex = 54;
            this.CB_Gain15.Text = "1";
            // 
            // CB_Gain14
            // 
            this.CB_Gain14.Enabled = false;
            this.CB_Gain14.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain14.Location = new System.Drawing.Point(744, 56);
            this.CB_Gain14.Name = "CB_Gain14";
            this.CB_Gain14.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain14.TabIndex = 53;
            this.CB_Gain14.Text = "1";
            // 
            // CB_Gain13
            // 
            this.CB_Gain13.Enabled = false;
            this.CB_Gain13.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain13.Location = new System.Drawing.Point(696, 56);
            this.CB_Gain13.Name = "CB_Gain13";
            this.CB_Gain13.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain13.TabIndex = 52;
            this.CB_Gain13.Text = "1";
            // 
            // CB_Gain12
            // 
            this.CB_Gain12.Enabled = false;
            this.CB_Gain12.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain12.Location = new System.Drawing.Point(648, 56);
            this.CB_Gain12.Name = "CB_Gain12";
            this.CB_Gain12.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain12.TabIndex = 51;
            this.CB_Gain12.Text = "1";
            // 
            // CB_Gain11
            // 
            this.CB_Gain11.Enabled = false;
            this.CB_Gain11.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain11.Location = new System.Drawing.Point(600, 56);
            this.CB_Gain11.Name = "CB_Gain11";
            this.CB_Gain11.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain11.TabIndex = 50;
            this.CB_Gain11.Text = "1";
            // 
            // CB_Gain10
            // 
            this.CB_Gain10.Enabled = false;
            this.CB_Gain10.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain10.Location = new System.Drawing.Point(552, 56);
            this.CB_Gain10.Name = "CB_Gain10";
            this.CB_Gain10.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain10.TabIndex = 49;
            this.CB_Gain10.Text = "1";
            // 
            // CB_Gain9
            // 
            this.CB_Gain9.Enabled = false;
            this.CB_Gain9.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain9.Location = new System.Drawing.Point(504, 56);
            this.CB_Gain9.Name = "CB_Gain9";
            this.CB_Gain9.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain9.TabIndex = 48;
            this.CB_Gain9.Text = "1";
            // 
            // CB_Gain8
            // 
            this.CB_Gain8.Enabled = false;
            this.CB_Gain8.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain8.Location = new System.Drawing.Point(456, 56);
            this.CB_Gain8.Name = "CB_Gain8";
            this.CB_Gain8.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain8.TabIndex = 47;
            this.CB_Gain8.Text = "1";
            // 
            // CB_Gain7
            // 
            this.CB_Gain7.Enabled = false;
            this.CB_Gain7.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain7.Location = new System.Drawing.Point(408, 56);
            this.CB_Gain7.Name = "CB_Gain7";
            this.CB_Gain7.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain7.TabIndex = 46;
            this.CB_Gain7.Text = "1";
            // 
            // CB_Gain6
            // 
            this.CB_Gain6.Enabled = false;
            this.CB_Gain6.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain6.Location = new System.Drawing.Point(360, 56);
            this.CB_Gain6.Name = "CB_Gain6";
            this.CB_Gain6.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain6.TabIndex = 45;
            this.CB_Gain6.Text = "1";
            // 
            // CB_Gain5
            // 
            this.CB_Gain5.Enabled = false;
            this.CB_Gain5.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain5.Location = new System.Drawing.Point(312, 56);
            this.CB_Gain5.Name = "CB_Gain5";
            this.CB_Gain5.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain5.TabIndex = 44;
            this.CB_Gain5.Text = "1";
            // 
            // CB_Gain4
            // 
            this.CB_Gain4.Enabled = false;
            this.CB_Gain4.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain4.Location = new System.Drawing.Point(264, 56);
            this.CB_Gain4.Name = "CB_Gain4";
            this.CB_Gain4.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain4.TabIndex = 43;
            this.CB_Gain4.Text = "1";
            // 
            // CB_Gain3
            // 
            this.CB_Gain3.Enabled = false;
            this.CB_Gain3.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain3.Location = new System.Drawing.Point(216, 56);
            this.CB_Gain3.Name = "CB_Gain3";
            this.CB_Gain3.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain3.TabIndex = 42;
            this.CB_Gain3.Text = "1";
            // 
            // CB_Gain2
            // 
            this.CB_Gain2.Enabled = false;
            this.CB_Gain2.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain2.Location = new System.Drawing.Point(168, 56);
            this.CB_Gain2.Name = "CB_Gain2";
            this.CB_Gain2.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain2.TabIndex = 41;
            this.CB_Gain2.Text = "1";
            // 
            // CB_Gain1
            // 
            this.CB_Gain1.Enabled = false;
            this.CB_Gain1.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain1.Location = new System.Drawing.Point(120, 56);
            this.CB_Gain1.Name = "CB_Gain1";
            this.CB_Gain1.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain1.TabIndex = 40;
            this.CB_Gain1.Text = "1";
            // 
            // CHB_Ch15
            // 
            this.CHB_Ch15.Location = new System.Drawing.Point(792, 24);
            this.CHB_Ch15.Name = "CHB_Ch15";
            this.CHB_Ch15.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch15.TabIndex = 37;
            this.CHB_Ch15.Text = "Ch 15";
            this.CHB_Ch15.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch14
            // 
            this.CHB_Ch14.Location = new System.Drawing.Point(744, 24);
            this.CHB_Ch14.Name = "CHB_Ch14";
            this.CHB_Ch14.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch14.TabIndex = 39;
            this.CHB_Ch14.Text = "Ch 14";
            this.CHB_Ch14.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CB_Gain0
            // 
            this.CB_Gain0.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_Gain0.Location = new System.Drawing.Point(72, 56);
            this.CB_Gain0.Name = "CB_Gain0";
            this.CB_Gain0.Size = new System.Drawing.Size(40, 21);
            this.CB_Gain0.TabIndex = 38;
            this.CB_Gain0.Text = "1";
            // 
            // CHB_Ch13
            // 
            this.CHB_Ch13.Location = new System.Drawing.Point(696, 24);
            this.CHB_Ch13.Name = "CHB_Ch13";
            this.CHB_Ch13.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch13.TabIndex = 35;
            this.CHB_Ch13.Text = "Ch 13";
            this.CHB_Ch13.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch12
            // 
            this.CHB_Ch12.Location = new System.Drawing.Point(648, 24);
            this.CHB_Ch12.Name = "CHB_Ch12";
            this.CHB_Ch12.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch12.TabIndex = 34;
            this.CHB_Ch12.Text = "Ch 12";
            this.CHB_Ch12.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch11
            // 
            this.CHB_Ch11.Location = new System.Drawing.Point(600, 24);
            this.CHB_Ch11.Name = "CHB_Ch11";
            this.CHB_Ch11.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch11.TabIndex = 33;
            this.CHB_Ch11.Text = "Ch 11";
            this.CHB_Ch11.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch10
            // 
            this.CHB_Ch10.Location = new System.Drawing.Point(552, 24);
            this.CHB_Ch10.Name = "CHB_Ch10";
            this.CHB_Ch10.Size = new System.Drawing.Size(56, 24);
            this.CHB_Ch10.TabIndex = 32;
            this.CHB_Ch10.Text = "Ch 10";
            this.CHB_Ch10.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch9
            // 
            this.CHB_Ch9.Location = new System.Drawing.Point(504, 24);
            this.CHB_Ch9.Name = "CHB_Ch9";
            this.CHB_Ch9.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch9.TabIndex = 31;
            this.CHB_Ch9.Text = "Ch 9";
            this.CHB_Ch9.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch8
            // 
            this.CHB_Ch8.Location = new System.Drawing.Point(456, 24);
            this.CHB_Ch8.Name = "CHB_Ch8";
            this.CHB_Ch8.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch8.TabIndex = 30;
            this.CHB_Ch8.Text = "Ch 8";
            this.CHB_Ch8.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch7
            // 
            this.CHB_Ch7.Location = new System.Drawing.Point(408, 24);
            this.CHB_Ch7.Name = "CHB_Ch7";
            this.CHB_Ch7.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch7.TabIndex = 29;
            this.CHB_Ch7.Text = "Ch 7";
            this.CHB_Ch7.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch6
            // 
            this.CHB_Ch6.Location = new System.Drawing.Point(360, 24);
            this.CHB_Ch6.Name = "CHB_Ch6";
            this.CHB_Ch6.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch6.TabIndex = 28;
            this.CHB_Ch6.Text = "Ch 6";
            this.CHB_Ch6.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch5
            // 
            this.CHB_Ch5.Location = new System.Drawing.Point(312, 24);
            this.CHB_Ch5.Name = "CHB_Ch5";
            this.CHB_Ch5.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch5.TabIndex = 27;
            this.CHB_Ch5.Text = "Ch 5";
            this.CHB_Ch5.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch4
            // 
            this.CHB_Ch4.Location = new System.Drawing.Point(264, 24);
            this.CHB_Ch4.Name = "CHB_Ch4";
            this.CHB_Ch4.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch4.TabIndex = 26;
            this.CHB_Ch4.Text = "Ch 4";
            this.CHB_Ch4.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch3
            // 
            this.CHB_Ch3.Location = new System.Drawing.Point(216, 24);
            this.CHB_Ch3.Name = "CHB_Ch3";
            this.CHB_Ch3.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch3.TabIndex = 25;
            this.CHB_Ch3.Text = "Ch 3";
            this.CHB_Ch3.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch2
            // 
            this.CHB_Ch2.Location = new System.Drawing.Point(168, 24);
            this.CHB_Ch2.Name = "CHB_Ch2";
            this.CHB_Ch2.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch2.TabIndex = 24;
            this.CHB_Ch2.Text = "Ch 2";
            this.CHB_Ch2.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch1
            // 
            this.CHB_Ch1.Location = new System.Drawing.Point(120, 24);
            this.CHB_Ch1.Name = "CHB_Ch1";
            this.CHB_Ch1.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch1.TabIndex = 23;
            this.CHB_Ch1.Text = "Ch 1";
            this.CHB_Ch1.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // CHB_Ch0
            // 
            this.CHB_Ch0.Checked = true;
            this.CHB_Ch0.CheckState = System.Windows.Forms.CheckState.Checked;
            this.CHB_Ch0.Location = new System.Drawing.Point(72, 24);
            this.CHB_Ch0.Name = "CHB_Ch0";
            this.CHB_Ch0.Size = new System.Drawing.Size(48, 24);
            this.CHB_Ch0.TabIndex = 22;
            this.CHB_Ch0.Text = "Ch 0";
            this.CHB_Ch0.CheckStateChanged += new System.EventHandler(this.CHB_Channel_CheckStateChanged);
            // 
            // label4
            // 
            this.label4.Location = new System.Drawing.Point(8, 32);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(56, 16);
            this.label4.TabIndex = 21;
            this.label4.Text = "Channel :";
            // 
            // label6
            // 
            this.label6.Location = new System.Drawing.Point(8, 96);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(48, 16);
            this.label6.TabIndex = 5;
            this.label6.Text = "Polarity :";
            // 
            // label5
            // 
            this.label5.Location = new System.Drawing.Point(8, 64);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(48, 16);
            this.label5.TabIndex = 3;
            this.label5.Text = "Gain :";
            // 
            // GB_Help
            // 
            this.GB_Help.Controls.Add(this.L_Help);
            this.GB_Help.Location = new System.Drawing.Point(16, 88);
            this.GB_Help.Name = "GB_Help";
            this.GB_Help.Size = new System.Drawing.Size(544, 56);
            this.GB_Help.TabIndex = 75;
            this.GB_Help.TabStop = false;
            this.GB_Help.Text = "Help";
            // 
            // L_Help
            // 
            this.L_Help.Location = new System.Drawing.Point(8, 16);
            this.L_Help.Name = "L_Help";
            this.L_Help.Size = new System.Drawing.Size(528, 32);
            this.L_Help.TabIndex = 0;
            this.L_Help.Text = "You must first enter the IP address of the MSX-E301x module, than configure the a" +
                "uto-refresh and click on button \"Start the sample\" .";
            // 
            // GB_Description
            // 
            this.GB_Description.Controls.Add(this.L_Description);
            this.GB_Description.Location = new System.Drawing.Point(16, 16);
            this.GB_Description.Name = "GB_Description";
            this.GB_Description.Size = new System.Drawing.Size(544, 64);
            this.GB_Description.TabIndex = 74;
            this.GB_Description.TabStop = false;
            this.GB_Description.Text = "Description";
            // 
            // L_Description
            // 
            this.L_Description.Location = new System.Drawing.Point(8, 16);
            this.L_Description.Name = "L_Description";
            this.L_Description.Size = new System.Drawing.Size(528, 40);
            this.L_Description.TabIndex = 0;
            this.L_Description.Text = "This sample  permit to read several analog input in auto-refresh mode";
            // 
            // B_StopSample
            // 
            this.B_StopSample.Enabled = false;
            this.B_StopSample.Location = new System.Drawing.Point(272, 184);
            this.B_StopSample.Name = "B_StopSample";
            this.B_StopSample.Size = new System.Drawing.Size(288, 24);
            this.B_StopSample.TabIndex = 73;
            this.B_StopSample.Text = "Stop the sample";
            this.B_StopSample.Click += new System.EventHandler(this.B_StopSample_Click);
            // 
            // B_StartSample
            // 
            this.B_StartSample.Location = new System.Drawing.Point(16, 184);
            this.B_StartSample.Name = "B_StartSample";
            this.B_StartSample.Size = new System.Drawing.Size(248, 24);
            this.B_StartSample.TabIndex = 72;
            this.B_StartSample.Text = "Start the sample";
            this.B_StartSample.Click += new System.EventHandler(this.B_StartSample_Click);
            // 
            // label3
            // 
            this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label3.Location = new System.Drawing.Point(384, 152);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(8, 16);
            this.label3.TabIndex = 71;
            this.label3.Text = "-";
            // 
            // label1
            // 
            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.Location = new System.Drawing.Point(328, 152);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(8, 16);
            this.label1.TabIndex = 70;
            this.label1.Text = "-";
            // 
            // label2
            // 
            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.Location = new System.Drawing.Point(272, 152);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(8, 16);
            this.label2.TabIndex = 69;
            this.label2.Text = "-";
            // 
            // TB_IPAddress_3
            // 
            this.TB_IPAddress_3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_3.Location = new System.Drawing.Point(400, 152);
            this.TB_IPAddress_3.MaxLength = 3;
            this.TB_IPAddress_3.Name = "TB_IPAddress_3";
            this.TB_IPAddress_3.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_3.TabIndex = 68;
            this.TB_IPAddress_3.Enter += new System.EventHandler(this.TB_IPAddress_3_Enter);
            // 
            // TB_IPAddress_2
            // 
            this.TB_IPAddress_2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_2.Location = new System.Drawing.Point(344, 152);
            this.TB_IPAddress_2.MaxLength = 3;
            this.TB_IPAddress_2.Name = "TB_IPAddress_2";
            this.TB_IPAddress_2.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_2.TabIndex = 67;
            this.TB_IPAddress_2.Enter += new System.EventHandler(this.TB_IPAddress_2_Enter);
            // 
            // TB_IPAddress_1
            // 
            this.TB_IPAddress_1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_1.Location = new System.Drawing.Point(288, 152);
            this.TB_IPAddress_1.MaxLength = 3;
            this.TB_IPAddress_1.Name = "TB_IPAddress_1";
            this.TB_IPAddress_1.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_1.TabIndex = 66;
            this.TB_IPAddress_1.Enter += new System.EventHandler(this.TB_IPAddress_1_Enter);
            // 
            // TB_IPAddress_0
            // 
            this.TB_IPAddress_0.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_0.ImeMode = System.Windows.Forms.ImeMode.Disable;
            this.TB_IPAddress_0.Location = new System.Drawing.Point(232, 152);
            this.TB_IPAddress_0.MaxLength = 3;
            this.TB_IPAddress_0.Name = "TB_IPAddress_0";
            this.TB_IPAddress_0.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_0.TabIndex = 65;
            this.TB_IPAddress_0.Enter += new System.EventHandler(this.TB_IPAddress_0_Enter);
            // 
            // label19
            // 
            this.label19.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label19.Location = new System.Drawing.Point(16, 152);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(208, 16);
            this.label19.TabIndex = 64;
            this.label19.Text = "IP address of the MSX-E301x module :";
            // 
            // GB_DataFormat
            // 
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormatAnalogValue);
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormatTimeStamp);
            this.GB_DataFormat.Location = new System.Drawing.Point(296, 360);
            this.GB_DataFormat.Name = "GB_DataFormat";
            this.GB_DataFormat.Size = new System.Drawing.Size(224, 88);
            this.GB_DataFormat.TabIndex = 80;
            this.GB_DataFormat.TabStop = false;
            this.GB_DataFormat.Text = "Data format";
            // 
            // CHB_DataFormatAnalogValue
            // 
            this.CHB_DataFormatAnalogValue.Location = new System.Drawing.Point(16, 48);
            this.CHB_DataFormatAnalogValue.Name = "CHB_DataFormatAnalogValue";
            this.CHB_DataFormatAnalogValue.Size = new System.Drawing.Size(144, 24);
            this.CHB_DataFormatAnalogValue.TabIndex = 1;
            this.CHB_DataFormatAnalogValue.Text = "Convert in analog value";
            // 
            // CHB_DataFormatTimeStamp
            // 
            this.CHB_DataFormatTimeStamp.Location = new System.Drawing.Point(16, 24);
            this.CHB_DataFormatTimeStamp.Name = "CHB_DataFormatTimeStamp";
            this.CHB_DataFormatTimeStamp.Size = new System.Drawing.Size(104, 24);
            this.CHB_DataFormatTimeStamp.TabIndex = 0;
            this.CHB_DataFormatTimeStamp.Text = "With time stamp";
            // 
            // GB_Average
            // 
            this.GB_Average.Controls.Add(this.TB_AverageValue);
            this.GB_Average.Controls.Add(this.CB_AverageMode);
            this.GB_Average.Controls.Add(this.label14);
            this.GB_Average.Controls.Add(this.label13);
            this.GB_Average.Location = new System.Drawing.Point(296, 459);
            this.GB_Average.Name = "GB_Average";
            this.GB_Average.Size = new System.Drawing.Size(224, 93);
            this.GB_Average.TabIndex = 81;
            this.GB_Average.TabStop = false;
            this.GB_Average.Text = "Average configuration";
            // 
            // TB_AverageValue
            // 
            this.TB_AverageValue.Location = new System.Drawing.Point(104, 54);
            this.TB_AverageValue.Name = "TB_AverageValue";
            this.TB_AverageValue.Size = new System.Drawing.Size(104, 20);
            this.TB_AverageValue.TabIndex = 18;
            this.TB_AverageValue.Text = "1";
            // 
            // CB_AverageMode
            // 
            this.CB_AverageMode.Items.AddRange(new object[] {
            "No average",
            "per sequence",
            "per channel"});
            this.CB_AverageMode.Location = new System.Drawing.Point(104, 27);
            this.CB_AverageMode.Name = "CB_AverageMode";
            this.CB_AverageMode.Size = new System.Drawing.Size(104, 21);
            this.CB_AverageMode.TabIndex = 12;
            this.CB_AverageMode.Text = "No average";
            // 
            // label14
            // 
            this.label14.Location = new System.Drawing.Point(8, 56);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(88, 16);
            this.label14.TabIndex = 11;
            this.label14.Text = "Average value :";
            // 
            // label13
            // 
            this.label13.Location = new System.Drawing.Point(8, 30);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(88, 16);
            this.label13.TabIndex = 10;
            this.label13.Text = "Average mode :";
            // 
            // GB_ConversionTime
            // 
            this.GB_ConversionTime.Controls.Add(this.label11);
            this.GB_ConversionTime.Controls.Add(this.TB_ConversionTimeValue);
            this.GB_ConversionTime.Controls.Add(this.label16);
            this.GB_ConversionTime.Controls.Add(this.CB_ConversionTimeUnit);
            this.GB_ConversionTime.Controls.Add(this.label15);
            this.GB_ConversionTime.Location = new System.Drawing.Point(536, 360);
            this.GB_ConversionTime.Name = "GB_ConversionTime";
            this.GB_ConversionTime.Size = new System.Drawing.Size(301, 88);
            this.GB_ConversionTime.TabIndex = 82;
            this.GB_ConversionTime.TabStop = false;
            this.GB_ConversionTime.Text = "Conversion time configuration";
            // 
            // label11
            // 
            this.label11.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label11.Location = new System.Drawing.Point(200, 32);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(64, 16);
            this.label11.TabIndex = 20;
            this.label11.Text = "(min 10 us)";
            // 
            // TB_ConversionTimeValue
            // 
            this.TB_ConversionTimeValue.Location = new System.Drawing.Point(96, 56);
            this.TB_ConversionTimeValue.Name = "TB_ConversionTimeValue";
            this.TB_ConversionTimeValue.Size = new System.Drawing.Size(80, 20);
            this.TB_ConversionTimeValue.TabIndex = 19;
            this.TB_ConversionTimeValue.Text = "40";
            // 
            // label16
            // 
            this.label16.Location = new System.Drawing.Point(8, 64);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(72, 16);
            this.label16.TabIndex = 14;
            this.label16.Text = "Time value :";
            // 
            // CB_ConversionTimeUnit
            // 
            this.CB_ConversionTimeUnit.Items.AddRange(new object[] {
            "us",
            "ms",
            "s"});
            this.CB_ConversionTimeUnit.Location = new System.Drawing.Point(96, 24);
            this.CB_ConversionTimeUnit.Name = "CB_ConversionTimeUnit";
            this.CB_ConversionTimeUnit.Size = new System.Drawing.Size(80, 21);
            this.CB_ConversionTimeUnit.TabIndex = 13;
            this.CB_ConversionTimeUnit.Text = "us";
            // 
            // label15
            // 
            this.label15.Location = new System.Drawing.Point(8, 32);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(64, 16);
            this.label15.TabIndex = 11;
            this.label15.Text = "Time unit :";
            // 
            // TB_Values
            // 
            this.TB_Values.Font = new System.Drawing.Font("Courier New", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.TB_Values.Location = new System.Drawing.Point(16, 568);
            this.TB_Values.Multiline = true;
            this.TB_Values.Name = "TB_Values";
            this.TB_Values.ReadOnly = true;
            this.TB_Values.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.TB_Values.Size = new System.Drawing.Size(856, 144);
            this.TB_Values.TabIndex = 83;
            // 
            // DisplayTimer
            // 
            this.DisplayTimer.Tick += new System.EventHandler(this.DisplayTimer_Tick);
            // 
            // GB_AcquisitionMode
            // 
            this.GB_AcquisitionMode.Controls.Add(this.L_Info);
            this.GB_AcquisitionMode.Controls.Add(this.RB_DataServer);
            this.GB_AcquisitionMode.Controls.Add(this.RB_SOAP);
            this.GB_AcquisitionMode.Location = new System.Drawing.Point(536, 459);
            this.GB_AcquisitionMode.Name = "GB_AcquisitionMode";
            this.GB_AcquisitionMode.Size = new System.Drawing.Size(301, 93);
            this.GB_AcquisitionMode.TabIndex = 158;
            this.GB_AcquisitionMode.TabStop = false;
            this.GB_AcquisitionMode.Text = "Acquisition mode";
            // 
            // L_Info
            // 
            this.L_Info.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.L_Info.ForeColor = System.Drawing.Color.Navy;
            this.L_Info.Location = new System.Drawing.Point(33, 60);
            this.L_Info.Name = "L_Info";
            this.L_Info.Size = new System.Drawing.Size(254, 30);
            this.L_Info.TabIndex = 2;
            this.L_Info.Text = "It is recommended to set the blocking mode for the data server via the web page";
            this.L_Info.Visible = false;
            // 
            // RB_DataServer
            // 
            this.RB_DataServer.AutoSize = true;
            this.RB_DataServer.Location = new System.Drawing.Point(15, 42);
            this.RB_DataServer.Name = "RB_DataServer";
            this.RB_DataServer.Size = new System.Drawing.Size(167, 17);
            this.RB_DataServer.TabIndex = 1;
            this.RB_DataServer.TabStop = true;
            this.RB_DataServer.Text = "Acquisition via the data server";
            this.RB_DataServer.UseVisualStyleBackColor = true;
            this.RB_DataServer.CheckedChanged += new System.EventHandler(this.RB_DataServer_CheckedChanged);
            // 
            // RB_SOAP
            // 
            this.RB_SOAP.AutoSize = true;
            this.RB_SOAP.Checked = true;
            this.RB_SOAP.Location = new System.Drawing.Point(16, 21);
            this.RB_SOAP.Name = "RB_SOAP";
            this.RB_SOAP.Size = new System.Drawing.Size(184, 17);
            this.RB_SOAP.TabIndex = 0;
            this.RB_SOAP.TabStop = true;
            this.RB_SOAP.Text = "Acquisition via the SOAP function";
            this.RB_SOAP.UseVisualStyleBackColor = true;
            this.RB_SOAP.CheckedChanged += new System.EventHandler(this.RB_SOAP_CheckedChanged);
            // 
            // ReadTimer
            // 
            this.ReadTimer.Interval = 1;
            this.ReadTimer.Tick += new System.EventHandler(this.ReadTimer_Tick);
            // 
            // F_Autorefresh
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(880, 726);
            this.Controls.Add(this.GB_AcquisitionMode);
            this.Controls.Add(this.TB_Values);
            this.Controls.Add(this.GB_ConversionTime);
            this.Controls.Add(this.GB_Average);
            this.Controls.Add(this.GB_DataFormat);
            this.Controls.Add(this.GB_Trigger);
            this.Controls.Add(this.GB_Channel);
            this.Controls.Add(this.GB_Help);
            this.Controls.Add(this.GB_Description);
            this.Controls.Add(this.B_StopSample);
            this.Controls.Add(this.B_StartSample);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.TB_IPAddress_3);
            this.Controls.Add(this.TB_IPAddress_2);
            this.Controls.Add(this.TB_IPAddress_1);
            this.Controls.Add(this.TB_IPAddress_0);
            this.Controls.Add(this.label19);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "F_Autorefresh";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "MSX-E301x : Analog Input Auto-refresh sample";
            this.Load += new System.EventHandler(this.F_Autorefresh_Load);
            this.Closed += new System.EventHandler(this.F_Autorefresh_Closed);
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.F_Autorefresh_FormClosing);
            this.GB_Trigger.ResumeLayout(false);
            this.GB_Trigger.PerformLayout();
            this.GB_Channel.ResumeLayout(false);
            this.GB_Help.ResumeLayout(false);
            this.GB_Description.ResumeLayout(false);
            this.GB_DataFormat.ResumeLayout(false);
            this.GB_Average.ResumeLayout(false);
            this.GB_Average.PerformLayout();
            this.GB_ConversionTime.ResumeLayout(false);
            this.GB_ConversionTime.PerformLayout();
            this.GB_AcquisitionMode.ResumeLayout(false);
            this.GB_AcquisitionMode.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new F_Autorefresh());
		}


        ComboBox[] CB_Gain = new ComboBox[16];
        CheckBox[] CHB_Channel = new CheckBox[16];
        ComboBox[] CB_Polarity = new ComboBox[16];

		public static DateTime ConvertFromTime_T(long time_t)
		{
			DateTime dt70 = new DateTime(1970,1,1,0,0,0,0);
			long tickTotal = dt70.Ticks + (time_t * 10000000L);
			DateTime netTimeT = new DateTime(tickTotal);
			return netTimeT;
		}

		public static UInt64 ConvertToTime_T (DateTime DotNetDate)
		{
			DateTime dt70 = new DateTime(1970,1,1,0,0,0,0);
			UInt64 tickTotal = (UInt64)(DotNetDate.Ticks - dt70.Ticks);
			tickTotal/= 10000000L;
			return tickTotal;
		}

		private void F_Autorefresh_Load(object sender, System.EventArgs e)
		{
			MX_Common = new MXCommon_WebReference.MXCommon();
			MSXE301x = new MSXE301x_WebReference.MSXE301x();
			MX_Common.Timeout = 2000;
			MSXE301x.Timeout = 2000;
			B_StartSample.Enabled = true;
			B_StopSample.Enabled = false;
			CB_ConversionTimeUnit.SelectedIndex = 1;


            CB_Gain[0] = CB_Gain0;
            CB_Gain[1] = CB_Gain1;
            CB_Gain[2] = CB_Gain2;
            CB_Gain[3] = CB_Gain3;
            CB_Gain[4] = CB_Gain4;
            CB_Gain[5] = CB_Gain5;
            CB_Gain[6] = CB_Gain6;
            CB_Gain[7] = CB_Gain7;
            CB_Gain[8] = CB_Gain8;
            CB_Gain[9] = CB_Gain9;
            CB_Gain[10] = CB_Gain10;
            CB_Gain[11] = CB_Gain11;
            CB_Gain[12] = CB_Gain12;
            CB_Gain[13] = CB_Gain13;
            CB_Gain[14] = CB_Gain14;
            CB_Gain[15] = CB_Gain15;

            CHB_Channel[0] = CHB_Ch0;
            CHB_Channel[1] = CHB_Ch1;
            CHB_Channel[2] = CHB_Ch2;
            CHB_Channel[3] = CHB_Ch3;
            CHB_Channel[4] = CHB_Ch4;
            CHB_Channel[5] = CHB_Ch5;
            CHB_Channel[6] = CHB_Ch6;
            CHB_Channel[7] = CHB_Ch7;
            CHB_Channel[8] = CHB_Ch8;
            CHB_Channel[9] = CHB_Ch9;
            CHB_Channel[10] = CHB_Ch10;
            CHB_Channel[11] = CHB_Ch11;
            CHB_Channel[12] = CHB_Ch12;
            CHB_Channel[13] = CHB_Ch13;
            CHB_Channel[14] = CHB_Ch14;
            CHB_Channel[15] = CHB_Ch15;

            CB_Polarity[0] = CB_Polarity0;
            CB_Polarity[1] = CB_Polarity1;
            CB_Polarity[2] = CB_Polarity2;
            CB_Polarity[3] = CB_Polarity3;
            CB_Polarity[4] = CB_Polarity4;
            CB_Polarity[5] = CB_Polarity5;
            CB_Polarity[6] = CB_Polarity6;
            CB_Polarity[7] = CB_Polarity7;
            CB_Polarity[8] = CB_Polarity8;
            CB_Polarity[9] = CB_Polarity9;
            CB_Polarity[10] = CB_Polarity10;
            CB_Polarity[11] = CB_Polarity11;
            CB_Polarity[12] = CB_Polarity12;
            CB_Polarity[13] = CB_Polarity13;
            CB_Polarity[14] = CB_Polarity14;
            CB_Polarity[15] = CB_Polarity15;
        }

		private void F_Autorefresh_Closed(object sender, System.EventArgs e)
		{
			if(B_StopSample.Enabled == true)
				B_StopSample_Click(sender,e);

			if (MSXE301x != null)
				MSXE301x = null;
			if (MX_Common != null)
				MX_Common = null;

			System.GC.Collect();
		
		}

		// Global Variable
		MXCommon_WebReference.MXCommon MX_Common;
		MSXE301x_WebReference.MSXE301x MSXE301x;

        UInt64            DataFormat;
        ulong             NbrOfChannel;
        UInt64            ChannelMask;
        UInt64[]          ChannelType     = new UInt64[16];
        Socket            SocketClient    = null;
        String            DisplayText     = "";
        AsyncClientStream Client          = null;
        UInt64[]          ulType          = new UInt64[16];

		private void B_StartSample_Click(object sender, System.EventArgs e)
		{
			int syserrno = 0;
			int i_Error = 0;
			MSXE301x_WebReference.unsignedLong16FixedArrayParam pulGain = new MSXE301x_WebReference.unsignedLong16FixedArrayParam();
			MSXE301x_WebReference.unsignedLong16FixedArrayParam pulPolarity = new MSXE301x_WebReference.unsignedLong16FixedArrayParam();
            MSXE301x_WebReference.DefaultResponse pResponse = new MSXE301x_WebReference.DefaultResponse();
            UInt64 ulAverageMode = 0;
			UInt64 ulAverageValue = 0;
			UInt64 ulConversionTime = 0;
			UInt64 ulConversionTimeUnit = 0;
			UInt64 ulTriggerMask = 0;
			UInt64 ulTriggerMode = 0;
			UInt64 ulHardwareTriggerCount = 0;
			UInt64 ulByTriggerNbrOfSeqToAcquire = 0;
			UInt64 ulHardwareTriggerEdge = 0;
            UInt64 Counter = 0;
			pulGain.ulValue     = new UInt64[16]; 
			pulPolarity.ulValue = new UInt64[16];
            Thread ClientThread;
            UInt64 ulCpt = 0;
            UInt64 ulTypeCpt = 0;

            ChannelMask = 0;
            NbrOfChannel = 0;
            DataFormat = 0;

			// CHANNEL CONFIGURATION
            for (Counter = 0; Counter < 16; Counter++)
			{
                if (CHB_Channel[Counter].Checked)
                {
                    ChannelMask = ChannelMask | Convert.ToUInt64(1 << Convert.ToInt32(Counter));
                    pulGain.ulValue[Counter] = (ulong)CB_Gain[Counter].SelectedIndex + 1;
                    pulPolarity.ulValue[Counter] = (ulong)CB_Polarity[Counter].SelectedIndex;
                    NbrOfChannel++;
                }
			}



			// TRIGGER CONFIGURATION
			ulTriggerMask = (ulong)CB_TriggerMask.SelectedIndex;
			if ((ulTriggerMask == 1) || (ulTriggerMask == 3))
			{
				ulHardwareTriggerEdge = (ulong)CB_HardwareTriggerEdge.SelectedIndex + 1;
				ulHardwareTriggerCount = Convert.ToUInt64(TB_HardwareTriggerCount.Text.ToString(),10);
			}

			if (ulTriggerMask != 0)
			{
				ulTriggerMode = (ulong) CB_TriggerMode.SelectedIndex + 1;
				ulByTriggerNbrOfSeqToAcquire = Convert.ToUInt64(TB_NbrOfSeqForEachTrigger.Text.ToString(),10);
			}
		
			// AVERAGE CONFIGURATION
			ulAverageMode = (ulong) CB_AverageMode.SelectedIndex;
			if (ulAverageMode != 0)
			{
				ulAverageValue = Convert.ToUInt64(TB_AverageValue.Text.ToString(),10);
			}

			// CONVERSION TIME CONFIGURATION
			ulConversionTimeUnit = (ulong) CB_ConversionTimeUnit.SelectedIndex;
			ulConversionTime = Convert.ToUInt64(TB_ConversionTimeValue.Text.ToString(),10);

            /* Create the client stream */
            Client = new AddiData.ADDISocket.AsyncClientStream();

            // DATA FORMAT CONFIGURATION
            Client.SingleFramesSize = (int)(NbrOfChannel * 4) + 4;
            Client.NbrOfFrames = 1;

			if (CHB_DataFormatTimeStamp.Checked)
			{
                DataFormat = DataFormat | 1;
                Client.SingleFramesSize = Client.SingleFramesSize + 8;

			}
			if (CHB_DataFormatAnalogValue.Checked)
			{
                DataFormat = DataFormat | 2;
			}

			if ((TB_IPAddress_0.Text.ToString()== "") || (TB_IPAddress_1.Text.ToString()== "") || (TB_IPAddress_2.Text.ToString()== "") || (TB_IPAddress_3.Text.ToString()== ""))
			{
				MessageBox.Show("The IP address you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
			}
			else
			{
				if ((Convert.ToUInt64(TB_IPAddress_0.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_0.Text.ToString(),10) < 256))
				{
					if ((Convert.ToUInt64(TB_IPAddress_1.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_1.Text.ToString(),10) < 256))
					{
						if ((Convert.ToUInt64(TB_IPAddress_2.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_2.Text.ToString(),10) < 256))
						{
							if ((Convert.ToUInt64(TB_IPAddress_3.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_3.Text.ToString(),10) < 256))
							{
								MX_Common.Url = "http://" + TB_IPAddress_0.Text + "." + TB_IPAddress_1.Text + "."+ TB_IPAddress_2.Text + "." + TB_IPAddress_3.Text + ":5555";
								MSXE301x.Url = MX_Common.Url;

		
								try
								{
									pResponse = MSXE301x.AnalogInputGetChannelType(0, out ulType);
                                    if (pResponse.iReturnValue == 0)
                                    {
                                        SocketClient = null;
                                        ClientThread = null;

                                        for (ulCpt = 0; ulCpt < 16; ulCpt++)
                                        {
                                            if ((ChannelMask & (ulong)Math.Pow(2, ulCpt)) != 0)
                                                ChannelType[ulTypeCpt++] = ulType[ulCpt];
                                        }

                                        // Test if receive data via the data server
                                        if (RB_DataServer.Checked == true)
                                        {
                                            // Open the socket connection to receive the data
                                            SocketClient = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                                            SocketClient.Connect(TB_IPAddress_0.Text + "." + TB_IPAddress_1.Text + "." + TB_IPAddress_2.Text + "." + TB_IPAddress_3.Text, 8989);
                                            SocketClient.ReceiveBufferSize = 1048576;

                                            // Start the first read socket 
                                            // Start the read socket and the user thread
                                            Client.Start(SocketClient);
                                            ClientThread = new Thread(ClientThreadFct);
                                        }

                                        DisplayText = "";

                                        i_Error = MSXE301x.AnalogInputInitAndStartAutoRefresh(ChannelMask, pulGain, pulPolarity, ulAverageMode, ulAverageValue, ulConversionTime,
                                            ulConversionTimeUnit, ulTriggerMask, ulTriggerMode, ulHardwareTriggerEdge, ulHardwareTriggerCount, ulByTriggerNbrOfSeqToAcquire, DataFormat, 0, 0, 0, out syserrno);
                                        if (i_Error != 0)
                                        {
                                            MessageBox.Show("AnalogInputInitAndStartAutoRefresh Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                                        }
                                        else
                                        {
                                            DisplayTimer.Enabled = true;

                                            // Test if receive data via the data server
                                            if (RB_DataServer.Checked == true)
                                            {
                                                ClientThread.Priority = ThreadPriority.Lowest;
                                                ClientThread.Start();
                                            }
                                            else
                                            {
                                                ReadTimer.Enabled = true;
                                            }

                                            GB_Average.Enabled = false;
                                            GB_Channel.Enabled = false;
                                            GB_ConversionTime.Enabled = false;
                                            GB_DataFormat.Enabled = false;
                                            GB_Trigger.Enabled = false;
                                            B_StartSample.Enabled = false;
                                            B_StopSample.Enabled = true;
                                            DisplayTimer.Enabled = true;
                                            GB_AcquisitionMode.Enabled = false;
                                        }
                                    }
                                    else
                                    {
                                        MessageBox.Show("AnalogInputGetChannelType Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                                    }

								}
								catch(Exception ex)
								{
									MessageBox.Show("Exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
								}

                                if (B_StopSample.Enabled == false)
                                {
                                    B_StopSample_Click(sender, null);
                                }

							}
							else
							{
								MessageBox.Show("The IP address (part 4) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
							}
						}
						else
						{
							MessageBox.Show("The IP address (part 3) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
						}
					}
					else
					{
						MessageBox.Show("The IP address (part 2) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					}
				}
				else
				{
					MessageBox.Show("The IP address (part 1) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
				}
			}
		
		}

        private void ReadTimer_Tick(object sender, EventArgs e)
        {
            ulong[] Values = new ulong[16];
            UInt32 Cpt;
            UInt32 TestChannel;
            String sOutString;
            Single sValue         = 0;
            ulong TimeStampLow    = 0;
            ulong TimeStampHigh   = 0;
            ulong TimeStampLowmus = 0;
            ulong TimeStampLowms  = 0;
            ulong CounterValue    = 0;
            String[] sUnit = { " V ", " mA " };
            MSXE301x_WebReference.DefaultResponse pResponse = new MSXE301x_WebReference.DefaultResponse();

            // Read the auto refresh value
            pResponse = MSXE301x.AnalogInputGetAutoRefreshValues (out TimeStampLow, out TimeStampHigh, out CounterValue, out Values);

            // Test if error occur
            if ((pResponse.iReturnValue != 0) || (pResponse.syserrno != 0))
            {
                B_StopSample_Click(sender, null);
                MessageBox.Show("AnalogInputGetAutoRefreshValues Error : " + pResponse.iReturnValue.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
            else
            {
                sOutString = "";

                if ((DataFormat & 1) == 1)
                {
                    TimeStampLowms  = (ulong)(TimeStampLow / 1000);
                    TimeStampLowmus = (ulong)(TimeStampLow % 1000);
                    sOutString = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3") + Environment.NewLine;
                }
                
                // Get the auto refresh counter value
                sOutString = sOutString + "Counter: " + CounterValue.ToString() + Environment.NewLine + "Channel value(s) :";

                // Get the auto refresh channel mask
                for (Cpt = 0, TestChannel = 1; Cpt < 16; Cpt++, TestChannel = TestChannel * 2)
                {
                    // Test if channel used
                    if ((ChannelMask & TestChannel) != 0)
                    {
                        if ((DataFormat & 2) == 2)
                        {
                            sValue = BitConverter.ToSingle(BitConverter.GetBytes (Values[Cpt]), 0);
                            sOutString = sOutString + " " + sValue.ToString("F3") + sUnit[ulType[Cpt]];
                        }
                        else
                        {
                            sOutString = sOutString + " " + Values[Cpt].ToString("X") + " Hex";
                        }

                    }
                }

                DisplayText = sOutString;
            }
        }


        private void ClientThreadFct()
        {
            String sOutString;
			UInt32 Value           = 0;
			UInt32 Counter         = 0;
			Single sValue          = 0;
            ulong  TimeStampLow    = 0;
            ulong  TimeStampHigh   = 0;
            ulong  TimeStampLowmus = 0;
            ulong  TimeStampLowms  = 0;
            byte[] SocketData = new byte[Client.SingleFramesSize];
            String[] sUnit = { " V ", " mA " };



            while ((SocketData = Client.ReadData()) != null)
            {
                sOutString = "";

                // Display the received value
                if (DataFormat == 0)
                {
                    Value = BitConverter.ToUInt32(SocketData, (int)(0));
                    sOutString = "Counter: " + Value.ToString();

                    for (Counter = 0; Counter < NbrOfChannel; Counter++)
                    {
                        Value = BitConverter.ToUInt32(SocketData, (int)(Counter * 4) + 4);
                        sOutString = sOutString + " " + Value.ToString("X");
                    }
                }

                if (DataFormat == 1)
                {
                    TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(0));
                    TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(4));
                    TimeStampLowms = (ulong)(TimeStampLow / 1000);
                    TimeStampLowmus = (ulong)(TimeStampLow % 1000);
                    sOutString = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                    Value = BitConverter.ToUInt32(SocketData, (int)(8));
                    sOutString = sOutString + " Counter: " + Value.ToString();
                    sOutString = sOutString + " Channel value(s) :";
                    for (Counter = 0; Counter < NbrOfChannel; Counter++)
                    {
                        Value = BitConverter.ToUInt32(SocketData, (int)((Counter * 4) + 12));
                        sOutString = sOutString + " " + Value.ToString("X");
                    }

                }

                if (DataFormat == 2)
                {
                    Value = BitConverter.ToUInt32(SocketData, (int)(0));
                    sOutString = "Counter: " + Value.ToString();
                    sOutString = sOutString + " Channel value(s) :";
                    for (Counter = 0; Counter < NbrOfChannel; Counter++)
                    {
                        sValue = BitConverter.ToSingle(SocketData, (int)((Counter * 4) + 4));
                        sOutString = sOutString + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                    }

                }

                if (DataFormat == 3)
                {
                    TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(0));
                    TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(4));
                    TimeStampLowms = (TimeStampLow / 1000);
                    TimeStampLowmus = (TimeStampLow % 1000);
                    sOutString = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                    Value = BitConverter.ToUInt32(SocketData, (int)(8));
                    sOutString = sOutString + " Counter: " + Value.ToString();
                    sOutString = sOutString + " Channel value(s) :";
                    for (Counter = 0; Counter < NbrOfChannel; Counter++)
                    {
                        sValue = BitConverter.ToSingle(SocketData, (int)((Counter * 4) + 12));
                        sOutString = sOutString + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                    }

                }

                DisplayText = sOutString;
            }
        }

        private void DisplayTimer_Tick(object sender, System.EventArgs e)
        {
            TB_Values.Text = DisplayText;
        }


		private void B_StopSample_Click(object sender, System.EventArgs e)
		{
			int syserrno = 0;
			int i_Error = 0;

            DisplayTimer.Enabled = false;
            ReadTimer.Enabled = false;

            // Test if socket open
            if (SocketClient != null)
            {
                if (Client != null)
                    Client.Stoop();

                try
                {
                    // Close the socket connection
                    SocketClient.Disconnect(false);
                    SocketClient.Close();
                    SocketClient = null;
                    System.GC.Collect();
                }
                catch (Exception ex)
                {
                    MessageBox.Show("Socket close connection exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }
            }

            if (B_StopSample.Enabled == true)
            {
                try
                {
                    i_Error = MSXE301x.AnalogInputStopAndReleaseAutoRefresh(out syserrno);
                    if (i_Error != 0)
                    {
                        MessageBox.Show("AnalogInputStopAndReleaseAutoRefresh Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    }

                }
                catch (Exception ex)
                {
                    MessageBox.Show("AnalogInputStopAndReleaseAutoRefresh Exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }

                GB_Average.Enabled = true;
                GB_Channel.Enabled = true;
                GB_ConversionTime.Enabled = true;
                GB_DataFormat.Enabled = true;
                GB_Trigger.Enabled = true;
                B_StartSample.Enabled = true;
                B_StopSample.Enabled = false;
                GB_AcquisitionMode.Enabled = true;
            }
		}

        private void TB_IPAddress_0_Enter(object sender, System.EventArgs e)
        {
            TB_IPAddress_0.SelectAll();
        }

        private void TB_IPAddress_1_Enter(object sender, System.EventArgs e)
        {
            TB_IPAddress_1.SelectAll();
        }

        private void TB_IPAddress_2_Enter(object sender, System.EventArgs e)
        {
            TB_IPAddress_2.SelectAll();
        }

        private void TB_IPAddress_3_Enter(object sender, System.EventArgs e)
        {
            TB_IPAddress_3.SelectAll();

        }

		private void CHB_Channel_CheckStateChanged(object sender, System.EventArgs e)
		{
            for (int i = 0; i < 16; i ++)
            {
                if (CHB_Channel[i].Enabled == true)
                {
                    CB_Gain[i].Enabled = CHB_Channel[i].Checked;
                    CB_Polarity[i].Enabled = CHB_Channel[i].Checked;
                }
            }

        }

		private void CB_TriggerMask_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (CB_TriggerMask.SelectedIndex != 0)
			{
				CB_TriggerMode.Enabled = true;
			}
			else
			{
				CB_TriggerMode.Enabled = false;
				TB_NbrOfSeqForEachTrigger.Enabled = false;
				CB_HardwareTriggerEdge.Enabled = false;
				TB_HardwareTriggerCount.Enabled = false;

			}
			if (CB_TriggerMask.SelectedIndex == 1)
			{
				CB_HardwareTriggerEdge.Enabled = true;
				TB_HardwareTriggerCount.Enabled = true;
			}
			if (CB_TriggerMask.SelectedIndex == 2)
			{
				CB_HardwareTriggerEdge.Enabled = false;
				TB_HardwareTriggerCount.Enabled = false;
			}

			if (CB_TriggerMask.SelectedIndex == 3)
			{
				CB_HardwareTriggerEdge.Enabled = true;
				TB_HardwareTriggerCount.Enabled = true;
			}
		}

		private void CB_TriggerMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(CB_TriggerMode.SelectedIndex == 1)
			{
				TB_NbrOfSeqForEachTrigger.Enabled = true;
			}
			else
			{
				TB_NbrOfSeqForEachTrigger.Enabled = false;
			}
		}



        private void F_Autorefresh_FormClosing(object sender, FormClosingEventArgs e)
        {
            B_StopSample_Click(sender, null);
        }

        private void RB_SOAP_CheckedChanged(object sender, EventArgs e)
        {
            L_Info.Visible = false;
        }

        private void RB_DataServer_CheckedChanged(object sender, EventArgs e)
        {
            L_Info.Visible = true;
        }
    }
}
