using System;
using System.Threading;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Net;
using System.Net.Sockets;
using AddiData.ADDIControls;
using AddiData.ADDISocket;



namespace Sequence
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public class F_Sequence : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TextBox TB_Values;
		private System.Windows.Forms.GroupBox GB_ConversionTime;
		private System.Windows.Forms.TextBox TB_ConversionTimeValue;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.ComboBox CB_ConversionTimeUnit;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.GroupBox GB_DataFormat;
		private System.Windows.Forms.CheckBox CHB_DataFormatAnalogValue;
		private System.Windows.Forms.CheckBox CHB_DataFormatTimeStamp;
		private System.Windows.Forms.GroupBox GB_Trigger;
		private System.Windows.Forms.TextBox TB_NbrOfSeqForEachTrigger;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.ComboBox CB_TriggerMode;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.ComboBox CB_TriggerMask;
		private System.Windows.Forms.TextBox TB_HardwareTriggerCount;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.ComboBox CB_HardwareTriggerEdge;
		private System.Windows.Forms.GroupBox GB_Channel;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.GroupBox GB_Help;
		private System.Windows.Forms.Label L_Help;
		private System.Windows.Forms.GroupBox GB_Description;
		private System.Windows.Forms.Label L_Description;
		private System.Windows.Forms.Button B_StopSample;
		private System.Windows.Forms.Button B_StartSample;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox TB_IPAddress_3;
		private System.Windows.Forms.TextBox TB_IPAddress_2;
		private System.Windows.Forms.TextBox TB_IPAddress_1;
		private System.Windows.Forms.TextBox TB_IPAddress_0;
		private System.Windows.Forms.Label label19;
        private ComboBox CB_SeqGain0;
        private ComboBox CB_SeqGain1;
        private ComboBox CB_SeqGain2;
        private ComboBox CB_SeqGain3;
        private ComboBox CB_SeqGain4;
        private ComboBox CB_SeqGain5;
        private ComboBox CB_SeqGain6;
        private ComboBox CB_SeqGain7;
        private ComboBox CB_SeqGain8;
        private ComboBox CB_SeqGain9;
        private ComboBox CB_SeqGain10;
        private ComboBox CB_SeqGain11;
        private ComboBox CB_SeqGain12;
        private ComboBox CB_SeqGain13;
        private ComboBox CB_SeqGain14;
        private ComboBox CB_SeqGain15;
        private ComboBox CB_SeqPolarity0;
        private ComboBox CB_SeqPolarity1;
        private ComboBox CB_SeqPolarity2;
        private ComboBox CB_SeqPolarity3;
        private ComboBox CB_SeqPolarity4;
        private ComboBox CB_SeqPolarity5;
        private ComboBox CB_SeqPolarity6;
        private ComboBox CB_SeqPolarity7;
        private ComboBox CB_SeqPolarity8;
        private ComboBox CB_SeqPolarity9;
        private ComboBox CB_SeqPolarity10;
        private ComboBox CB_SeqPolarity11;
        private ComboBox CB_SeqPolarity12;
        private ComboBox CB_SeqPolarity13;
        private ComboBox CB_SeqPolarity14;
        private ComboBox CB_SeqPolarity15;
		private System.Windows.Forms.GroupBox GB_Delay;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.ComboBox CB_DelayMode;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.ComboBox CB_DelayTimeUnit;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.TextBox TB_DelayValue;
		private System.Windows.Forms.GroupBox GB_Sequence;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.TextBox TB_NbrOfSequence;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.TextBox TB_NbrMaxOfSeqToTransfer;
		private System.Windows.Forms.CheckBox CHB_DataFormatSequenceCounter;
		private System.Windows.Forms.Label label11;
        private ComboBox CB_SeqCh15;
        private ComboBox CB_SeqCh14;
        private ComboBox CB_SeqCh13;
        private ComboBox CB_SeqCh12;
        private ComboBox CB_SeqCh11;
        private ComboBox CB_SeqCh10;
        private ComboBox CB_SeqCh9;
        private ComboBox CB_SeqCh8;
        private ComboBox CB_SeqCh7;
        private ComboBox CB_SeqCh6;
        private ComboBox CB_SeqCh5;
        private ComboBox CB_SeqCh4;
        private ComboBox CB_SeqCh3;
        private ComboBox CB_SeqCh2;
        private ComboBox CB_SeqCh1;
        private ComboBox CB_SeqCh0;
		private System.Windows.Forms.ComboBox CB_NbrOfChannels;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.GroupBox GB_SequenceConfig;
		private System.Windows.Forms.Label label22;
        private System.Windows.Forms.Timer DisplayTimer;
        private Panel panel1;
        private RadioButton RB_DisplayAll;
        private RadioButton RB_DisplayLast;
        private CheckBox CHB_DataFormat16Bit;
		private System.ComponentModel.IContainer components;

		public F_Sequence()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(F_Sequence));
            this.TB_Values = new System.Windows.Forms.TextBox();
            this.GB_ConversionTime = new System.Windows.Forms.GroupBox();
            this.label22 = new System.Windows.Forms.Label();
            this.TB_ConversionTimeValue = new System.Windows.Forms.TextBox();
            this.label16 = new System.Windows.Forms.Label();
            this.CB_ConversionTimeUnit = new System.Windows.Forms.ComboBox();
            this.label15 = new System.Windows.Forms.Label();
            this.GB_DataFormat = new System.Windows.Forms.GroupBox();
            this.CHB_DataFormatSequenceCounter = new System.Windows.Forms.CheckBox();
            this.CHB_DataFormatAnalogValue = new System.Windows.Forms.CheckBox();
            this.CHB_DataFormatTimeStamp = new System.Windows.Forms.CheckBox();
            this.GB_Trigger = new System.Windows.Forms.GroupBox();
            this.TB_NbrOfSeqForEachTrigger = new System.Windows.Forms.TextBox();
            this.label12 = new System.Windows.Forms.Label();
            this.CB_TriggerMode = new System.Windows.Forms.ComboBox();
            this.label10 = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.CB_TriggerMask = new System.Windows.Forms.ComboBox();
            this.TB_HardwareTriggerCount = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.CB_HardwareTriggerEdge = new System.Windows.Forms.ComboBox();
            this.GB_Channel = new System.Windows.Forms.GroupBox();
            this.label11 = new System.Windows.Forms.Label();
            this.CB_SeqPolarity15 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity14 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity13 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity12 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity11 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity10 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity9 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity8 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity7 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity6 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity5 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity4 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity3 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity2 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity1 = new System.Windows.Forms.ComboBox();
            this.CB_SeqPolarity0 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain15 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain14 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain13 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain12 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain11 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain10 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain9 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain8 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain7 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain6 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain5 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain4 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain3 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain2 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain1 = new System.Windows.Forms.ComboBox();
            this.CB_SeqGain0 = new System.Windows.Forms.ComboBox();
            this.label6 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.GB_Help = new System.Windows.Forms.GroupBox();
            this.L_Help = new System.Windows.Forms.Label();
            this.GB_Description = new System.Windows.Forms.GroupBox();
            this.L_Description = new System.Windows.Forms.Label();
            this.B_StopSample = new System.Windows.Forms.Button();
            this.B_StartSample = new System.Windows.Forms.Button();
            this.label3 = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.TB_IPAddress_3 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_2 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_1 = new System.Windows.Forms.TextBox();
            this.TB_IPAddress_0 = new System.Windows.Forms.TextBox();
            this.label19 = new System.Windows.Forms.Label();
            this.GB_Delay = new System.Windows.Forms.GroupBox();
            this.TB_DelayValue = new System.Windows.Forms.TextBox();
            this.label18 = new System.Windows.Forms.Label();
            this.CB_DelayTimeUnit = new System.Windows.Forms.ComboBox();
            this.label17 = new System.Windows.Forms.Label();
            this.CB_DelayMode = new System.Windows.Forms.ComboBox();
            this.label14 = new System.Windows.Forms.Label();
            this.GB_Sequence = new System.Windows.Forms.GroupBox();
            this.TB_NbrMaxOfSeqToTransfer = new System.Windows.Forms.TextBox();
            this.label21 = new System.Windows.Forms.Label();
            this.TB_NbrOfSequence = new System.Windows.Forms.TextBox();
            this.label20 = new System.Windows.Forms.Label();
            this.GB_SequenceConfig = new System.Windows.Forms.GroupBox();
            this.CB_SeqCh15 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh14 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh13 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh12 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh11 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh10 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh9 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh8 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh7 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh6 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh5 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh4 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh3 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh2 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh1 = new System.Windows.Forms.ComboBox();
            this.CB_SeqCh0 = new System.Windows.Forms.ComboBox();
            this.CB_NbrOfChannels = new System.Windows.Forms.ComboBox();
            this.label13 = new System.Windows.Forms.Label();
            this.label4 = new System.Windows.Forms.Label();
            this.DisplayTimer = new System.Windows.Forms.Timer(this.components);
            this.panel1 = new System.Windows.Forms.Panel();
            this.RB_DisplayAll = new System.Windows.Forms.RadioButton();
            this.RB_DisplayLast = new System.Windows.Forms.RadioButton();
            this.CHB_DataFormat16Bit = new System.Windows.Forms.CheckBox();
            this.GB_ConversionTime.SuspendLayout();
            this.GB_DataFormat.SuspendLayout();
            this.GB_Trigger.SuspendLayout();
            this.GB_Channel.SuspendLayout();
            this.GB_Help.SuspendLayout();
            this.GB_Description.SuspendLayout();
            this.GB_Delay.SuspendLayout();
            this.GB_Sequence.SuspendLayout();
            this.GB_SequenceConfig.SuspendLayout();
            this.panel1.SuspendLayout();
            this.SuspendLayout();
            // 
            // TB_Values
            // 
            this.TB_Values.Font = new System.Drawing.Font("Courier New", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.TB_Values.Location = new System.Drawing.Point(9, 37);
            this.TB_Values.Multiline = true;
            this.TB_Values.Name = "TB_Values";
            this.TB_Values.ReadOnly = true;
            this.TB_Values.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.TB_Values.Size = new System.Drawing.Size(852, 96);
            this.TB_Values.TabIndex = 101;
            // 
            // GB_ConversionTime
            // 
            this.GB_ConversionTime.Controls.Add(this.label22);
            this.GB_ConversionTime.Controls.Add(this.TB_ConversionTimeValue);
            this.GB_ConversionTime.Controls.Add(this.label16);
            this.GB_ConversionTime.Controls.Add(this.CB_ConversionTimeUnit);
            this.GB_ConversionTime.Controls.Add(this.label15);
            this.GB_ConversionTime.Location = new System.Drawing.Point(536, 408);
            this.GB_ConversionTime.Name = "GB_ConversionTime";
            this.GB_ConversionTime.Size = new System.Drawing.Size(328, 88);
            this.GB_ConversionTime.TabIndex = 100;
            this.GB_ConversionTime.TabStop = false;
            this.GB_ConversionTime.Text = "Conversion time configuration";
            // 
            // label22
            // 
            this.label22.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label22.Location = new System.Drawing.Point(232, 32);
            this.label22.Name = "label22";
            this.label22.Size = new System.Drawing.Size(64, 16);
            this.label22.TabIndex = 20;
            this.label22.Text = "(min 10 us)";
            // 
            // TB_ConversionTimeValue
            // 
            this.TB_ConversionTimeValue.Location = new System.Drawing.Point(96, 56);
            this.TB_ConversionTimeValue.Name = "TB_ConversionTimeValue";
            this.TB_ConversionTimeValue.Size = new System.Drawing.Size(80, 20);
            this.TB_ConversionTimeValue.TabIndex = 19;
            this.TB_ConversionTimeValue.Text = "40";
            // 
            // label16
            // 
            this.label16.Location = new System.Drawing.Point(8, 64);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(72, 16);
            this.label16.TabIndex = 14;
            this.label16.Text = "Time value :";
            // 
            // CB_ConversionTimeUnit
            // 
            this.CB_ConversionTimeUnit.Items.AddRange(new object[] {
            "us",
            "ms",
            "s"});
            this.CB_ConversionTimeUnit.Location = new System.Drawing.Point(96, 24);
            this.CB_ConversionTimeUnit.Name = "CB_ConversionTimeUnit";
            this.CB_ConversionTimeUnit.Size = new System.Drawing.Size(80, 21);
            this.CB_ConversionTimeUnit.TabIndex = 13;
            this.CB_ConversionTimeUnit.Text = "us";
            // 
            // label15
            // 
            this.label15.Location = new System.Drawing.Point(8, 32);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(64, 16);
            this.label15.TabIndex = 11;
            this.label15.Text = "Time unit :";
            // 
            // GB_DataFormat
            // 
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormatSequenceCounter);
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormat16Bit);
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormatAnalogValue);
            this.GB_DataFormat.Controls.Add(this.CHB_DataFormatTimeStamp);
            this.GB_DataFormat.Location = new System.Drawing.Point(16, 520);
            this.GB_DataFormat.Name = "GB_DataFormat";
            this.GB_DataFormat.Size = new System.Drawing.Size(240, 115);
            this.GB_DataFormat.TabIndex = 98;
            this.GB_DataFormat.TabStop = false;
            this.GB_DataFormat.Text = "Data format";
            // 
            // CHB_DataFormatSequenceCounter
            // 
            this.CHB_DataFormatSequenceCounter.Location = new System.Drawing.Point(16, 38);
            this.CHB_DataFormatSequenceCounter.Name = "CHB_DataFormatSequenceCounter";
            this.CHB_DataFormatSequenceCounter.Size = new System.Drawing.Size(144, 24);
            this.CHB_DataFormatSequenceCounter.TabIndex = 2;
            this.CHB_DataFormatSequenceCounter.Text = "With Sequence counter";
            // 
            // CHB_DataFormatAnalogValue
            // 
            this.CHB_DataFormatAnalogValue.Location = new System.Drawing.Point(16, 62);
            this.CHB_DataFormatAnalogValue.Name = "CHB_DataFormatAnalogValue";
            this.CHB_DataFormatAnalogValue.Size = new System.Drawing.Size(144, 24);
            this.CHB_DataFormatAnalogValue.TabIndex = 1;
            this.CHB_DataFormatAnalogValue.Text = "Convert in analog value";
            // 
            // CHB_DataFormatTimeStamp
            // 
            this.CHB_DataFormatTimeStamp.Location = new System.Drawing.Point(16, 14);
            this.CHB_DataFormatTimeStamp.Name = "CHB_DataFormatTimeStamp";
            this.CHB_DataFormatTimeStamp.Size = new System.Drawing.Size(104, 24);
            this.CHB_DataFormatTimeStamp.TabIndex = 0;
            this.CHB_DataFormatTimeStamp.Text = "With time stamp";
            // 
            // GB_Trigger
            // 
            this.GB_Trigger.Controls.Add(this.TB_NbrOfSeqForEachTrigger);
            this.GB_Trigger.Controls.Add(this.label12);
            this.GB_Trigger.Controls.Add(this.CB_TriggerMode);
            this.GB_Trigger.Controls.Add(this.label10);
            this.GB_Trigger.Controls.Add(this.label7);
            this.GB_Trigger.Controls.Add(this.CB_TriggerMask);
            this.GB_Trigger.Controls.Add(this.TB_HardwareTriggerCount);
            this.GB_Trigger.Controls.Add(this.label9);
            this.GB_Trigger.Controls.Add(this.label8);
            this.GB_Trigger.Controls.Add(this.CB_HardwareTriggerEdge);
            this.GB_Trigger.Location = new System.Drawing.Point(264, 408);
            this.GB_Trigger.Name = "GB_Trigger";
            this.GB_Trigger.Size = new System.Drawing.Size(264, 227);
            this.GB_Trigger.TabIndex = 97;
            this.GB_Trigger.TabStop = false;
            this.GB_Trigger.Text = "Trigger configuration";
            // 
            // TB_NbrOfSeqForEachTrigger
            // 
            this.TB_NbrOfSeqForEachTrigger.Enabled = false;
            this.TB_NbrOfSeqForEachTrigger.Location = new System.Drawing.Point(168, 184);
            this.TB_NbrOfSeqForEachTrigger.Name = "TB_NbrOfSeqForEachTrigger";
            this.TB_NbrOfSeqForEachTrigger.Size = new System.Drawing.Size(80, 20);
            this.TB_NbrOfSeqForEachTrigger.TabIndex = 17;
            this.TB_NbrOfSeqForEachTrigger.Text = "1";
            // 
            // label12
            // 
            this.label12.Location = new System.Drawing.Point(16, 176);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(128, 24);
            this.label12.TabIndex = 16;
            this.label12.Text = "Nbr of Sequence to acquire for each trigger :";
            // 
            // CB_TriggerMode
            // 
            this.CB_TriggerMode.Enabled = false;
            this.CB_TriggerMode.Items.AddRange(new object[] {
            "Single shot",
            "Sequence"});
            this.CB_TriggerMode.Location = new System.Drawing.Point(168, 136);
            this.CB_TriggerMode.Name = "CB_TriggerMode";
            this.CB_TriggerMode.Size = new System.Drawing.Size(80, 21);
            this.CB_TriggerMode.TabIndex = 15;
            this.CB_TriggerMode.Text = "Single shot";
            this.CB_TriggerMode.SelectedIndexChanged += new System.EventHandler(this.CB_TriggerMode_SelectedIndexChanged);
            // 
            // label10
            // 
            this.label10.Location = new System.Drawing.Point(16, 144);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(128, 16);
            this.label10.TabIndex = 14;
            this.label10.Text = "Trigger mode :";
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(16, 24);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(80, 18);
            this.label7.TabIndex = 7;
            this.label7.Text = "Trigger mask :";
            // 
            // CB_TriggerMask
            // 
            this.CB_TriggerMask.Items.AddRange(new object[] {
            "No trigger",
            "Digital input trigger",
            "Synchro trigger"});
            this.CB_TriggerMask.Location = new System.Drawing.Point(96, 16);
            this.CB_TriggerMask.Name = "CB_TriggerMask";
            this.CB_TriggerMask.Size = new System.Drawing.Size(152, 21);
            this.CB_TriggerMask.TabIndex = 6;
            this.CB_TriggerMask.Text = "No trigger";
            this.CB_TriggerMask.SelectedIndexChanged += new System.EventHandler(this.CB_TriggerMask_SelectedIndexChanged);
            // 
            // TB_HardwareTriggerCount
            // 
            this.TB_HardwareTriggerCount.Enabled = false;
            this.TB_HardwareTriggerCount.Location = new System.Drawing.Point(168, 96);
            this.TB_HardwareTriggerCount.Name = "TB_HardwareTriggerCount";
            this.TB_HardwareTriggerCount.Size = new System.Drawing.Size(80, 20);
            this.TB_HardwareTriggerCount.TabIndex = 11;
            this.TB_HardwareTriggerCount.Text = "1";
            // 
            // label9
            // 
            this.label9.Location = new System.Drawing.Point(16, 96);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(128, 16);
            this.label9.TabIndex = 10;
            this.label9.Text = "Hardware trigger Count :";
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(16, 64);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(128, 16);
            this.label8.TabIndex = 9;
            this.label8.Text = "Hardware trigger edge :";
            // 
            // CB_HardwareTriggerEdge
            // 
            this.CB_HardwareTriggerEdge.Enabled = false;
            this.CB_HardwareTriggerEdge.Items.AddRange(new object[] {
            "Rising edge",
            "Falling edge",
            "Both edge"});
            this.CB_HardwareTriggerEdge.Location = new System.Drawing.Point(168, 56);
            this.CB_HardwareTriggerEdge.Name = "CB_HardwareTriggerEdge";
            this.CB_HardwareTriggerEdge.Size = new System.Drawing.Size(80, 21);
            this.CB_HardwareTriggerEdge.TabIndex = 8;
            this.CB_HardwareTriggerEdge.Text = "Rising edge";
            // 
            // GB_Channel
            // 
            this.GB_Channel.Controls.Add(this.label11);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity15);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity14);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity13);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity12);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity11);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity10);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity9);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity8);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity7);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity6);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity5);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity4);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity3);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity2);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity1);
            this.GB_Channel.Controls.Add(this.CB_SeqPolarity0);
            this.GB_Channel.Controls.Add(this.CB_SeqGain15);
            this.GB_Channel.Controls.Add(this.CB_SeqGain14);
            this.GB_Channel.Controls.Add(this.CB_SeqGain13);
            this.GB_Channel.Controls.Add(this.CB_SeqGain12);
            this.GB_Channel.Controls.Add(this.CB_SeqGain11);
            this.GB_Channel.Controls.Add(this.CB_SeqGain10);
            this.GB_Channel.Controls.Add(this.CB_SeqGain9);
            this.GB_Channel.Controls.Add(this.CB_SeqGain8);
            this.GB_Channel.Controls.Add(this.CB_SeqGain7);
            this.GB_Channel.Controls.Add(this.CB_SeqGain6);
            this.GB_Channel.Controls.Add(this.CB_SeqGain5);
            this.GB_Channel.Controls.Add(this.CB_SeqGain4);
            this.GB_Channel.Controls.Add(this.CB_SeqGain3);
            this.GB_Channel.Controls.Add(this.CB_SeqGain2);
            this.GB_Channel.Controls.Add(this.CB_SeqGain1);
            this.GB_Channel.Controls.Add(this.CB_SeqGain0);
            this.GB_Channel.Controls.Add(this.label6);
            this.GB_Channel.Controls.Add(this.label5);
            this.GB_Channel.Location = new System.Drawing.Point(16, 200);
            this.GB_Channel.Name = "GB_Channel";
            this.GB_Channel.Size = new System.Drawing.Size(848, 96);
            this.GB_Channel.TabIndex = 96;
            this.GB_Channel.TabStop = false;
            this.GB_Channel.Text = "Channel configuration";
            // 
            // label11
            // 
            this.label11.Location = new System.Drawing.Point(8, 24);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(760, 16);
            this.label11.TabIndex = 72;
            this.label11.Text = resources.GetString("label11.Text");
            // 
            // CB_SeqPolarity15
            // 
            this.CB_SeqPolarity15.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity15.Location = new System.Drawing.Point(720, 64);
            this.CB_SeqPolarity15.Name = "CB_SeqPolarity15";
            this.CB_SeqPolarity15.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity15.TabIndex = 71;
            this.CB_SeqPolarity15.Text = "Uni";
            // 
            // CB_SeqPolarity14
            // 
            this.CB_SeqPolarity14.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity14.Location = new System.Drawing.Point(680, 64);
            this.CB_SeqPolarity14.Name = "CB_SeqPolarity14";
            this.CB_SeqPolarity14.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity14.TabIndex = 70;
            this.CB_SeqPolarity14.Text = "Uni";
            // 
            // CB_SeqPolarity13
            // 
            this.CB_SeqPolarity13.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity13.Location = new System.Drawing.Point(640, 64);
            this.CB_SeqPolarity13.Name = "CB_SeqPolarity13";
            this.CB_SeqPolarity13.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity13.TabIndex = 69;
            this.CB_SeqPolarity13.Text = "Uni";
            // 
            // CB_SeqPolarity12
            // 
            this.CB_SeqPolarity12.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity12.Location = new System.Drawing.Point(600, 64);
            this.CB_SeqPolarity12.Name = "CB_SeqPolarity12";
            this.CB_SeqPolarity12.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity12.TabIndex = 68;
            this.CB_SeqPolarity12.Text = "Uni";
            // 
            // CB_SeqPolarity11
            // 
            this.CB_SeqPolarity11.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity11.Location = new System.Drawing.Point(560, 64);
            this.CB_SeqPolarity11.Name = "CB_SeqPolarity11";
            this.CB_SeqPolarity11.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity11.TabIndex = 67;
            this.CB_SeqPolarity11.Text = "Uni";
            // 
            // CB_SeqPolarity10
            // 
            this.CB_SeqPolarity10.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity10.Location = new System.Drawing.Point(520, 64);
            this.CB_SeqPolarity10.Name = "CB_SeqPolarity10";
            this.CB_SeqPolarity10.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity10.TabIndex = 66;
            this.CB_SeqPolarity10.Text = "Uni";
            // 
            // CB_SeqPolarity9
            // 
            this.CB_SeqPolarity9.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity9.Location = new System.Drawing.Point(480, 64);
            this.CB_SeqPolarity9.Name = "CB_SeqPolarity9";
            this.CB_SeqPolarity9.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity9.TabIndex = 65;
            this.CB_SeqPolarity9.Text = "Uni";
            // 
            // CB_SeqPolarity8
            // 
            this.CB_SeqPolarity8.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity8.Location = new System.Drawing.Point(440, 64);
            this.CB_SeqPolarity8.Name = "CB_SeqPolarity8";
            this.CB_SeqPolarity8.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity8.TabIndex = 64;
            this.CB_SeqPolarity8.Text = "Uni";
            // 
            // CB_SeqPolarity7
            // 
            this.CB_SeqPolarity7.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity7.Location = new System.Drawing.Point(400, 64);
            this.CB_SeqPolarity7.Name = "CB_SeqPolarity7";
            this.CB_SeqPolarity7.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity7.TabIndex = 63;
            this.CB_SeqPolarity7.Text = "Uni";
            // 
            // CB_SeqPolarity6
            // 
            this.CB_SeqPolarity6.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity6.Location = new System.Drawing.Point(360, 64);
            this.CB_SeqPolarity6.Name = "CB_SeqPolarity6";
            this.CB_SeqPolarity6.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity6.TabIndex = 62;
            this.CB_SeqPolarity6.Text = "Uni";
            // 
            // CB_SeqPolarity5
            // 
            this.CB_SeqPolarity5.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity5.Location = new System.Drawing.Point(320, 64);
            this.CB_SeqPolarity5.Name = "CB_SeqPolarity5";
            this.CB_SeqPolarity5.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity5.TabIndex = 61;
            this.CB_SeqPolarity5.Text = "Uni";
            // 
            // CB_SeqPolarity4
            // 
            this.CB_SeqPolarity4.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity4.Location = new System.Drawing.Point(280, 64);
            this.CB_SeqPolarity4.Name = "CB_SeqPolarity4";
            this.CB_SeqPolarity4.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity4.TabIndex = 60;
            this.CB_SeqPolarity4.Text = "Uni";
            // 
            // CB_SeqPolarity3
            // 
            this.CB_SeqPolarity3.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity3.Location = new System.Drawing.Point(240, 64);
            this.CB_SeqPolarity3.Name = "CB_SeqPolarity3";
            this.CB_SeqPolarity3.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity3.TabIndex = 59;
            this.CB_SeqPolarity3.Text = "Uni";
            // 
            // CB_SeqPolarity2
            // 
            this.CB_SeqPolarity2.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity2.Location = new System.Drawing.Point(200, 64);
            this.CB_SeqPolarity2.Name = "CB_SeqPolarity2";
            this.CB_SeqPolarity2.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity2.TabIndex = 58;
            this.CB_SeqPolarity2.Text = "Uni";
            // 
            // CB_SeqPolarity1
            // 
            this.CB_SeqPolarity1.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity1.Location = new System.Drawing.Point(160, 64);
            this.CB_SeqPolarity1.Name = "CB_SeqPolarity1";
            this.CB_SeqPolarity1.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity1.TabIndex = 57;
            this.CB_SeqPolarity1.Text = "Uni";
            // 
            // CB_SeqPolarity0
            // 
            this.CB_SeqPolarity0.Items.AddRange(new object[] {
            "Uni",
            "Bip"});
            this.CB_SeqPolarity0.Location = new System.Drawing.Point(120, 64);
            this.CB_SeqPolarity0.Name = "CB_SeqPolarity0";
            this.CB_SeqPolarity0.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqPolarity0.TabIndex = 56;
            this.CB_SeqPolarity0.Text = "Uni";
            // 
            // CB_SeqGain15
            // 
            this.CB_SeqGain15.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain15.Location = new System.Drawing.Point(720, 40);
            this.CB_SeqGain15.Name = "CB_SeqGain15";
            this.CB_SeqGain15.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain15.TabIndex = 55;
            this.CB_SeqGain15.Text = "1";
            // 
            // CB_SeqGain14
            // 
            this.CB_SeqGain14.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain14.Location = new System.Drawing.Point(680, 40);
            this.CB_SeqGain14.Name = "CB_SeqGain14";
            this.CB_SeqGain14.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain14.TabIndex = 54;
            this.CB_SeqGain14.Text = "1";
            // 
            // CB_SeqGain13
            // 
            this.CB_SeqGain13.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain13.Location = new System.Drawing.Point(640, 40);
            this.CB_SeqGain13.Name = "CB_SeqGain13";
            this.CB_SeqGain13.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain13.TabIndex = 53;
            this.CB_SeqGain13.Text = "1";
            // 
            // CB_SeqGain12
            // 
            this.CB_SeqGain12.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain12.Location = new System.Drawing.Point(600, 40);
            this.CB_SeqGain12.Name = "CB_SeqGain12";
            this.CB_SeqGain12.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain12.TabIndex = 52;
            this.CB_SeqGain12.Text = "1";
            // 
            // CB_SeqGain11
            // 
            this.CB_SeqGain11.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain11.Location = new System.Drawing.Point(560, 40);
            this.CB_SeqGain11.Name = "CB_SeqGain11";
            this.CB_SeqGain11.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain11.TabIndex = 51;
            this.CB_SeqGain11.Text = "1";
            // 
            // CB_SeqGain10
            // 
            this.CB_SeqGain10.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain10.Location = new System.Drawing.Point(520, 40);
            this.CB_SeqGain10.Name = "CB_SeqGain10";
            this.CB_SeqGain10.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain10.TabIndex = 50;
            this.CB_SeqGain10.Text = "1";
            // 
            // CB_SeqGain9
            // 
            this.CB_SeqGain9.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain9.Location = new System.Drawing.Point(480, 40);
            this.CB_SeqGain9.Name = "CB_SeqGain9";
            this.CB_SeqGain9.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain9.TabIndex = 49;
            this.CB_SeqGain9.Text = "1";
            // 
            // CB_SeqGain8
            // 
            this.CB_SeqGain8.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain8.Location = new System.Drawing.Point(440, 40);
            this.CB_SeqGain8.Name = "CB_SeqGain8";
            this.CB_SeqGain8.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain8.TabIndex = 48;
            this.CB_SeqGain8.Text = "1";
            // 
            // CB_SeqGain7
            // 
            this.CB_SeqGain7.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain7.Location = new System.Drawing.Point(400, 40);
            this.CB_SeqGain7.Name = "CB_SeqGain7";
            this.CB_SeqGain7.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain7.TabIndex = 47;
            this.CB_SeqGain7.Text = "1";
            // 
            // CB_SeqGain6
            // 
            this.CB_SeqGain6.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain6.Location = new System.Drawing.Point(360, 40);
            this.CB_SeqGain6.Name = "CB_SeqGain6";
            this.CB_SeqGain6.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain6.TabIndex = 46;
            this.CB_SeqGain6.Text = "1";
            // 
            // CB_SeqGain5
            // 
            this.CB_SeqGain5.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain5.Location = new System.Drawing.Point(320, 40);
            this.CB_SeqGain5.Name = "CB_SeqGain5";
            this.CB_SeqGain5.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain5.TabIndex = 45;
            this.CB_SeqGain5.Text = "1";
            // 
            // CB_SeqGain4
            // 
            this.CB_SeqGain4.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain4.Location = new System.Drawing.Point(280, 40);
            this.CB_SeqGain4.Name = "CB_SeqGain4";
            this.CB_SeqGain4.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain4.TabIndex = 44;
            this.CB_SeqGain4.Text = "1";
            // 
            // CB_SeqGain3
            // 
            this.CB_SeqGain3.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain3.Location = new System.Drawing.Point(240, 40);
            this.CB_SeqGain3.Name = "CB_SeqGain3";
            this.CB_SeqGain3.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain3.TabIndex = 43;
            this.CB_SeqGain3.Text = "1";
            // 
            // CB_SeqGain2
            // 
            this.CB_SeqGain2.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain2.Location = new System.Drawing.Point(200, 40);
            this.CB_SeqGain2.Name = "CB_SeqGain2";
            this.CB_SeqGain2.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain2.TabIndex = 42;
            this.CB_SeqGain2.Text = "1";
            // 
            // CB_SeqGain1
            // 
            this.CB_SeqGain1.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain1.Location = new System.Drawing.Point(160, 40);
            this.CB_SeqGain1.Name = "CB_SeqGain1";
            this.CB_SeqGain1.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain1.TabIndex = 41;
            this.CB_SeqGain1.Text = "1";
            // 
            // CB_SeqGain0
            // 
            this.CB_SeqGain0.Items.AddRange(new object[] {
            "1",
            "2"});
            this.CB_SeqGain0.Location = new System.Drawing.Point(120, 40);
            this.CB_SeqGain0.Name = "CB_SeqGain0";
            this.CB_SeqGain0.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqGain0.TabIndex = 40;
            this.CB_SeqGain0.Text = "1";
            // 
            // label6
            // 
            this.label6.Location = new System.Drawing.Point(8, 72);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(48, 16);
            this.label6.TabIndex = 5;
            this.label6.Text = "Polarity :";
            // 
            // label5
            // 
            this.label5.Location = new System.Drawing.Point(8, 48);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(48, 16);
            this.label5.TabIndex = 3;
            this.label5.Text = "Gain :";
            // 
            // GB_Help
            // 
            this.GB_Help.Controls.Add(this.L_Help);
            this.GB_Help.Location = new System.Drawing.Point(16, 72);
            this.GB_Help.Name = "GB_Help";
            this.GB_Help.Size = new System.Drawing.Size(544, 56);
            this.GB_Help.TabIndex = 95;
            this.GB_Help.TabStop = false;
            this.GB_Help.Text = "Help";
            // 
            // L_Help
            // 
            this.L_Help.Location = new System.Drawing.Point(8, 16);
            this.L_Help.Name = "L_Help";
            this.L_Help.Size = new System.Drawing.Size(528, 32);
            this.L_Help.TabIndex = 0;
            this.L_Help.Text = "You must first enter the IP address of the MSX-E301x module, than configure the s" +
                "equence and click on button \"Start the sample\" .";
            // 
            // GB_Description
            // 
            this.GB_Description.Controls.Add(this.L_Description);
            this.GB_Description.Location = new System.Drawing.Point(16, 8);
            this.GB_Description.Name = "GB_Description";
            this.GB_Description.Size = new System.Drawing.Size(544, 64);
            this.GB_Description.TabIndex = 94;
            this.GB_Description.TabStop = false;
            this.GB_Description.Text = "Description";
            // 
            // L_Description
            // 
            this.L_Description.Location = new System.Drawing.Point(8, 16);
            this.L_Description.Name = "L_Description";
            this.L_Description.Size = new System.Drawing.Size(528, 40);
            this.L_Description.TabIndex = 0;
            this.L_Description.Text = "This sample  permit to read several analog input in sequence mode";
            // 
            // B_StopSample
            // 
            this.B_StopSample.Enabled = false;
            this.B_StopSample.Location = new System.Drawing.Point(272, 168);
            this.B_StopSample.Name = "B_StopSample";
            this.B_StopSample.Size = new System.Drawing.Size(288, 24);
            this.B_StopSample.TabIndex = 93;
            this.B_StopSample.Text = "Sto&p the sample";
            this.B_StopSample.Click += new System.EventHandler(this.B_StopSample_Click);
            // 
            // B_StartSample
            // 
            this.B_StartSample.Location = new System.Drawing.Point(16, 168);
            this.B_StartSample.Name = "B_StartSample";
            this.B_StartSample.Size = new System.Drawing.Size(248, 24);
            this.B_StartSample.TabIndex = 92;
            this.B_StartSample.Text = "&Start the sample";
            this.B_StartSample.Click += new System.EventHandler(this.B_StartSample_Click);
            // 
            // label3
            // 
            this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label3.Location = new System.Drawing.Point(384, 136);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(8, 16);
            this.label3.TabIndex = 91;
            this.label3.Text = "-";
            // 
            // label1
            // 
            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.Location = new System.Drawing.Point(328, 136);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(8, 16);
            this.label1.TabIndex = 90;
            this.label1.Text = "-";
            // 
            // label2
            // 
            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.Location = new System.Drawing.Point(272, 136);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(8, 16);
            this.label2.TabIndex = 89;
            this.label2.Text = "-";
            // 
            // TB_IPAddress_3
            // 
            this.TB_IPAddress_3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_3.Location = new System.Drawing.Point(400, 136);
            this.TB_IPAddress_3.MaxLength = 3;
            this.TB_IPAddress_3.Name = "TB_IPAddress_3";
            this.TB_IPAddress_3.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_3.TabIndex = 88;
            this.TB_IPAddress_3.Enter += new System.EventHandler(this.TB_IPAddress_3_Enter);
            // 
            // TB_IPAddress_2
            // 
            this.TB_IPAddress_2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_2.Location = new System.Drawing.Point(344, 136);
            this.TB_IPAddress_2.MaxLength = 3;
            this.TB_IPAddress_2.Name = "TB_IPAddress_2";
            this.TB_IPAddress_2.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_2.TabIndex = 87;
            this.TB_IPAddress_2.Enter += new System.EventHandler(this.TB_IPAddress_2_Enter);
            // 
            // TB_IPAddress_1
            // 
            this.TB_IPAddress_1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_1.Location = new System.Drawing.Point(288, 136);
            this.TB_IPAddress_1.MaxLength = 3;
            this.TB_IPAddress_1.Name = "TB_IPAddress_1";
            this.TB_IPAddress_1.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_1.TabIndex = 86;
            this.TB_IPAddress_1.Enter += new System.EventHandler(this.TB_IPAddress_1_Enter);
            // 
            // TB_IPAddress_0
            // 
            this.TB_IPAddress_0.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
            this.TB_IPAddress_0.ImeMode = System.Windows.Forms.ImeMode.Disable;
            this.TB_IPAddress_0.Location = new System.Drawing.Point(232, 136);
            this.TB_IPAddress_0.MaxLength = 3;
            this.TB_IPAddress_0.Name = "TB_IPAddress_0";
            this.TB_IPAddress_0.Size = new System.Drawing.Size(32, 20);
            this.TB_IPAddress_0.TabIndex = 85;
            this.TB_IPAddress_0.Enter += new System.EventHandler(this.TB_IPAddress_0_Enter);
            // 
            // label19
            // 
            this.label19.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label19.Location = new System.Drawing.Point(16, 136);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(208, 16);
            this.label19.TabIndex = 84;
            this.label19.Text = "IP address of the MSX-E301x module :";
            // 
            // GB_Delay
            // 
            this.GB_Delay.Controls.Add(this.TB_DelayValue);
            this.GB_Delay.Controls.Add(this.label18);
            this.GB_Delay.Controls.Add(this.CB_DelayTimeUnit);
            this.GB_Delay.Controls.Add(this.label17);
            this.GB_Delay.Controls.Add(this.CB_DelayMode);
            this.GB_Delay.Controls.Add(this.label14);
            this.GB_Delay.Location = new System.Drawing.Point(536, 512);
            this.GB_Delay.Name = "GB_Delay";
            this.GB_Delay.Size = new System.Drawing.Size(328, 123);
            this.GB_Delay.TabIndex = 102;
            this.GB_Delay.TabStop = false;
            this.GB_Delay.Text = "Delay configuration";
            // 
            // TB_DelayValue
            // 
            this.TB_DelayValue.Enabled = false;
            this.TB_DelayValue.Location = new System.Drawing.Point(112, 88);
            this.TB_DelayValue.Name = "TB_DelayValue";
            this.TB_DelayValue.Size = new System.Drawing.Size(80, 20);
            this.TB_DelayValue.TabIndex = 20;
            this.TB_DelayValue.Text = "10";
            // 
            // label18
            // 
            this.label18.Location = new System.Drawing.Point(8, 96);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(96, 16);
            this.label18.TabIndex = 16;
            this.label18.Text = "Delay time value :";
            // 
            // CB_DelayTimeUnit
            // 
            this.CB_DelayTimeUnit.Enabled = false;
            this.CB_DelayTimeUnit.Items.AddRange(new object[] {
            "us",
            "ms",
            "s"});
            this.CB_DelayTimeUnit.Location = new System.Drawing.Point(112, 56);
            this.CB_DelayTimeUnit.Name = "CB_DelayTimeUnit";
            this.CB_DelayTimeUnit.Size = new System.Drawing.Size(80, 21);
            this.CB_DelayTimeUnit.TabIndex = 15;
            this.CB_DelayTimeUnit.Text = "ms";
            // 
            // label17
            // 
            this.label17.Location = new System.Drawing.Point(8, 64);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(88, 16);
            this.label17.TabIndex = 14;
            this.label17.Text = "Delay time unit :";
            // 
            // CB_DelayMode
            // 
            this.CB_DelayMode.Items.AddRange(new object[] {
            "No delay",
            "Delay mode 1",
            "Delay mode 2"});
            this.CB_DelayMode.Location = new System.Drawing.Point(112, 24);
            this.CB_DelayMode.Name = "CB_DelayMode";
            this.CB_DelayMode.Size = new System.Drawing.Size(144, 21);
            this.CB_DelayMode.TabIndex = 13;
            this.CB_DelayMode.Text = "No delay";
            this.CB_DelayMode.SelectedIndexChanged += new System.EventHandler(this.CB_DelayMode_SelectedIndexChanged);
            // 
            // label14
            // 
            this.label14.Location = new System.Drawing.Point(8, 29);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(72, 16);
            this.label14.TabIndex = 12;
            this.label14.Text = "Delay mode :";
            // 
            // GB_Sequence
            // 
            this.GB_Sequence.Controls.Add(this.TB_NbrMaxOfSeqToTransfer);
            this.GB_Sequence.Controls.Add(this.label21);
            this.GB_Sequence.Controls.Add(this.TB_NbrOfSequence);
            this.GB_Sequence.Controls.Add(this.label20);
            this.GB_Sequence.Location = new System.Drawing.Point(16, 408);
            this.GB_Sequence.Name = "GB_Sequence";
            this.GB_Sequence.Size = new System.Drawing.Size(240, 104);
            this.GB_Sequence.TabIndex = 103;
            this.GB_Sequence.TabStop = false;
            this.GB_Sequence.Text = "Sequence configuration";
            // 
            // TB_NbrMaxOfSeqToTransfer
            // 
            this.TB_NbrMaxOfSeqToTransfer.Location = new System.Drawing.Point(144, 72);
            this.TB_NbrMaxOfSeqToTransfer.Name = "TB_NbrMaxOfSeqToTransfer";
            this.TB_NbrMaxOfSeqToTransfer.Size = new System.Drawing.Size(80, 20);
            this.TB_NbrMaxOfSeqToTransfer.TabIndex = 22;
            this.TB_NbrMaxOfSeqToTransfer.Text = "10";
            // 
            // label21
            // 
            this.label21.Location = new System.Drawing.Point(8, 64);
            this.label21.Name = "label21";
            this.label21.Size = new System.Drawing.Size(112, 24);
            this.label21.TabIndex = 21;
            this.label21.Text = "Nbr max of sequence to transfer :";
            // 
            // TB_NbrOfSequence
            // 
            this.TB_NbrOfSequence.Location = new System.Drawing.Point(144, 24);
            this.TB_NbrOfSequence.Name = "TB_NbrOfSequence";
            this.TB_NbrOfSequence.Size = new System.Drawing.Size(80, 20);
            this.TB_NbrOfSequence.TabIndex = 20;
            this.TB_NbrOfSequence.Text = "0";
            // 
            // label20
            // 
            this.label20.Location = new System.Drawing.Point(8, 24);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(96, 24);
            this.label20.TabIndex = 15;
            this.label20.Text = "Nbr of sequence (0=continuous) :";
            // 
            // GB_SequenceConfig
            // 
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh15);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh14);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh13);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh12);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh11);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh10);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh9);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh8);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh7);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh6);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh5);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh4);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh3);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh2);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh1);
            this.GB_SequenceConfig.Controls.Add(this.CB_SeqCh0);
            this.GB_SequenceConfig.Controls.Add(this.CB_NbrOfChannels);
            this.GB_SequenceConfig.Controls.Add(this.label13);
            this.GB_SequenceConfig.Controls.Add(this.label4);
            this.GB_SequenceConfig.Location = new System.Drawing.Point(16, 304);
            this.GB_SequenceConfig.Name = "GB_SequenceConfig";
            this.GB_SequenceConfig.Size = new System.Drawing.Size(848, 96);
            this.GB_SequenceConfig.TabIndex = 123;
            this.GB_SequenceConfig.TabStop = false;
            this.GB_SequenceConfig.Text = "Sequence channel configuration";
            // 
            // CB_SeqCh15
            // 
            this.CB_SeqCh15.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh15.Location = new System.Drawing.Point(728, 56);
            this.CB_SeqCh15.Name = "CB_SeqCh15";
            this.CB_SeqCh15.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh15.TabIndex = 141;
            this.CB_SeqCh15.Text = "0";
            // 
            // CB_SeqCh14
            // 
            this.CB_SeqCh14.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh14.Location = new System.Drawing.Point(688, 56);
            this.CB_SeqCh14.Name = "CB_SeqCh14";
            this.CB_SeqCh14.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh14.TabIndex = 140;
            this.CB_SeqCh14.Text = "0";
            // 
            // CB_SeqCh13
            // 
            this.CB_SeqCh13.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh13.Location = new System.Drawing.Point(648, 56);
            this.CB_SeqCh13.Name = "CB_SeqCh13";
            this.CB_SeqCh13.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh13.TabIndex = 139;
            this.CB_SeqCh13.Text = "0";
            // 
            // CB_SeqCh12
            // 
            this.CB_SeqCh12.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh12.Location = new System.Drawing.Point(608, 56);
            this.CB_SeqCh12.Name = "CB_SeqCh12";
            this.CB_SeqCh12.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh12.TabIndex = 138;
            this.CB_SeqCh12.Text = "0";
            // 
            // CB_SeqCh11
            // 
            this.CB_SeqCh11.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh11.Location = new System.Drawing.Point(568, 56);
            this.CB_SeqCh11.Name = "CB_SeqCh11";
            this.CB_SeqCh11.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh11.TabIndex = 137;
            this.CB_SeqCh11.Text = "0";
            // 
            // CB_SeqCh10
            // 
            this.CB_SeqCh10.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh10.Location = new System.Drawing.Point(528, 56);
            this.CB_SeqCh10.Name = "CB_SeqCh10";
            this.CB_SeqCh10.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh10.TabIndex = 136;
            this.CB_SeqCh10.Text = "0";
            // 
            // CB_SeqCh9
            // 
            this.CB_SeqCh9.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh9.Location = new System.Drawing.Point(488, 56);
            this.CB_SeqCh9.Name = "CB_SeqCh9";
            this.CB_SeqCh9.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh9.TabIndex = 135;
            this.CB_SeqCh9.Text = "0";
            // 
            // CB_SeqCh8
            // 
            this.CB_SeqCh8.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh8.Location = new System.Drawing.Point(448, 56);
            this.CB_SeqCh8.Name = "CB_SeqCh8";
            this.CB_SeqCh8.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh8.TabIndex = 134;
            this.CB_SeqCh8.Text = "0";
            // 
            // CB_SeqCh7
            // 
            this.CB_SeqCh7.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh7.Location = new System.Drawing.Point(408, 56);
            this.CB_SeqCh7.Name = "CB_SeqCh7";
            this.CB_SeqCh7.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh7.TabIndex = 133;
            this.CB_SeqCh7.Text = "0";
            // 
            // CB_SeqCh6
            // 
            this.CB_SeqCh6.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh6.Location = new System.Drawing.Point(368, 56);
            this.CB_SeqCh6.Name = "CB_SeqCh6";
            this.CB_SeqCh6.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh6.TabIndex = 132;
            this.CB_SeqCh6.Text = "0";
            // 
            // CB_SeqCh5
            // 
            this.CB_SeqCh5.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh5.Location = new System.Drawing.Point(328, 56);
            this.CB_SeqCh5.Name = "CB_SeqCh5";
            this.CB_SeqCh5.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh5.TabIndex = 131;
            this.CB_SeqCh5.Text = "0";
            // 
            // CB_SeqCh4
            // 
            this.CB_SeqCh4.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh4.Location = new System.Drawing.Point(288, 56);
            this.CB_SeqCh4.Name = "CB_SeqCh4";
            this.CB_SeqCh4.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh4.TabIndex = 130;
            this.CB_SeqCh4.Text = "0";
            // 
            // CB_SeqCh3
            // 
            this.CB_SeqCh3.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh3.Location = new System.Drawing.Point(248, 56);
            this.CB_SeqCh3.Name = "CB_SeqCh3";
            this.CB_SeqCh3.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh3.TabIndex = 129;
            this.CB_SeqCh3.Text = "0";
            // 
            // CB_SeqCh2
            // 
            this.CB_SeqCh2.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh2.Location = new System.Drawing.Point(208, 56);
            this.CB_SeqCh2.Name = "CB_SeqCh2";
            this.CB_SeqCh2.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh2.TabIndex = 128;
            this.CB_SeqCh2.Text = "0";
            // 
            // CB_SeqCh1
            // 
            this.CB_SeqCh1.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh1.Location = new System.Drawing.Point(168, 56);
            this.CB_SeqCh1.Name = "CB_SeqCh1";
            this.CB_SeqCh1.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh1.TabIndex = 127;
            this.CB_SeqCh1.Text = "0";
            // 
            // CB_SeqCh0
            // 
            this.CB_SeqCh0.Items.AddRange(new object[] {
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15"});
            this.CB_SeqCh0.Location = new System.Drawing.Point(128, 56);
            this.CB_SeqCh0.Name = "CB_SeqCh0";
            this.CB_SeqCh0.Size = new System.Drawing.Size(40, 21);
            this.CB_SeqCh0.TabIndex = 126;
            this.CB_SeqCh0.Text = "0";
            // 
            // CB_NbrOfChannels
            // 
            this.CB_NbrOfChannels.Items.AddRange(new object[] {
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15",
            "16"});
            this.CB_NbrOfChannels.Location = new System.Drawing.Point(184, 24);
            this.CB_NbrOfChannels.Name = "CB_NbrOfChannels";
            this.CB_NbrOfChannels.Size = new System.Drawing.Size(40, 21);
            this.CB_NbrOfChannels.TabIndex = 125;
            this.CB_NbrOfChannels.Text = "1";
            // 
            // label13
            // 
            this.label13.Location = new System.Drawing.Point(16, 24);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(168, 16);
            this.label13.TabIndex = 124;
            this.label13.Text = "Nbr of channel in the sequence :";
            // 
            // label4
            // 
            this.label4.Location = new System.Drawing.Point(16, 64);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(104, 16);
            this.label4.TabIndex = 123;
            this.label4.Text = "Channel  selection:";
            // 
            // DisplayTimer
            // 
            this.DisplayTimer.Interval = 1;
            this.DisplayTimer.Tick += new System.EventHandler(this.DisplayTimer_Tick);
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this.RB_DisplayAll);
            this.panel1.Controls.Add(this.RB_DisplayLast);
            this.panel1.Controls.Add(this.TB_Values);
            this.panel1.Location = new System.Drawing.Point(3, 641);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(865, 136);
            this.panel1.TabIndex = 124;
            // 
            // RB_DisplayAll
            // 
            this.RB_DisplayAll.AutoSize = true;
            this.RB_DisplayAll.Location = new System.Drawing.Point(168, 14);
            this.RB_DisplayAll.Name = "RB_DisplayAll";
            this.RB_DisplayAll.Size = new System.Drawing.Size(130, 17);
            this.RB_DisplayAll.TabIndex = 103;
            this.RB_DisplayAll.TabStop = true;
            this.RB_DisplayAll.Text = "Display all acquisitions";
            this.RB_DisplayAll.UseVisualStyleBackColor = true;
            // 
            // RB_DisplayLast
            // 
            this.RB_DisplayLast.AutoSize = true;
            this.RB_DisplayLast.Checked = true;
            this.RB_DisplayLast.Location = new System.Drawing.Point(13, 14);
            this.RB_DisplayLast.Name = "RB_DisplayLast";
            this.RB_DisplayLast.Size = new System.Drawing.Size(153, 17);
            this.RB_DisplayLast.TabIndex = 102;
            this.RB_DisplayLast.TabStop = true;
            this.RB_DisplayLast.Text = "Display only last acquisition";
            this.RB_DisplayLast.UseVisualStyleBackColor = true;
            // 
            // CHB_DataFormat16Bit
            // 
            this.CHB_DataFormat16Bit.Location = new System.Drawing.Point(16, 88);
            this.CHB_DataFormat16Bit.Name = "CHB_DataFormat16Bit";
            this.CHB_DataFormat16Bit.Size = new System.Drawing.Size(144, 24);
            this.CHB_DataFormat16Bit.TabIndex = 1;
            this.CHB_DataFormat16Bit.Text = "16-bit digital value";
            this.CHB_DataFormat16Bit.CheckedChanged += new System.EventHandler(this.CHB_DataFormat16Bit_CheckedChanged);
            // 
            // F_Sequence
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(880, 789);
            this.Controls.Add(this.panel1);
            this.Controls.Add(this.GB_SequenceConfig);
            this.Controls.Add(this.GB_Sequence);
            this.Controls.Add(this.GB_Delay);
            this.Controls.Add(this.GB_ConversionTime);
            this.Controls.Add(this.GB_DataFormat);
            this.Controls.Add(this.GB_Trigger);
            this.Controls.Add(this.GB_Channel);
            this.Controls.Add(this.GB_Help);
            this.Controls.Add(this.GB_Description);
            this.Controls.Add(this.B_StopSample);
            this.Controls.Add(this.B_StartSample);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.TB_IPAddress_3);
            this.Controls.Add(this.TB_IPAddress_2);
            this.Controls.Add(this.TB_IPAddress_1);
            this.Controls.Add(this.TB_IPAddress_0);
            this.Controls.Add(this.label19);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "F_Sequence";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "MSX-E301x : Analog Input sequence sample";
            this.Load += new System.EventHandler(this.F_Sequence_Load);
            this.Closed += new System.EventHandler(this.F_Sequence_Closed);
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.F_Sequence_FormClosing);
            this.GB_ConversionTime.ResumeLayout(false);
            this.GB_ConversionTime.PerformLayout();
            this.GB_DataFormat.ResumeLayout(false);
            this.GB_Trigger.ResumeLayout(false);
            this.GB_Trigger.PerformLayout();
            this.GB_Channel.ResumeLayout(false);
            this.GB_Help.ResumeLayout(false);
            this.GB_Description.ResumeLayout(false);
            this.GB_Delay.ResumeLayout(false);
            this.GB_Delay.PerformLayout();
            this.GB_Sequence.ResumeLayout(false);
            this.GB_Sequence.PerformLayout();
            this.GB_SequenceConfig.ResumeLayout(false);
            this.panel1.ResumeLayout(false);
            this.panel1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new F_Sequence());
		}


		public static DateTime ConvertFromTime_T(long time_t)
		{
			DateTime dt70 = new DateTime(1970,1,1,0,0,0,0);
			long tickTotal = dt70.Ticks + (time_t * 10000000L);
			DateTime netTimeT = new DateTime(tickTotal);
			return netTimeT;
		}

		public static UInt64 ConvertToTime_T (DateTime DotNetDate)
		{
			DateTime dt70 = new DateTime(1970,1,1,0,0,0,0);
			UInt64 tickTotal = (UInt64)(DotNetDate.Ticks - dt70.Ticks);
			tickTotal/= 10000000L;
			return tickTotal;
		}

		private void F_Sequence_Load(object sender, System.EventArgs e)
		{
			MX_Common = new MXCommon_WebReference.MXCommon();
			MSXE301x = new MSXE301x_WebReference.MSXE301x();
			MX_Common.Timeout = 2000;
			MSXE301x.Timeout = 2000;
			B_StartSample.Enabled = true;
			B_StopSample.Enabled = false;
			CB_ConversionTimeUnit.SelectedIndex = 1;

		}

		private void F_Sequence_Closed(object sender, System.EventArgs e)
		{
			if (B_StopSample.Enabled == true)
				B_StopSample_Click(sender,e);

			if (MSXE301x != null)
				MSXE301x = null;
			if (MX_Common != null)
				MX_Common = null;

			System.GC.Collect();
		
		}

        // Global Variable
        MXCommon_WebReference.MXCommon MX_Common;
        MSXE301x_WebReference.MSXE301x MSXE301x;

        Socket SocketClient = null;
        UInt64 DataFormat;
        UInt64 [] ChannelType=new UInt64[16];
        ulong NbrOfChannel;
        String            DisplayText     = "";
        AsyncClientStream Client = null;
        bool              DisplayOnlyLast = true;


		private void B_StartSample_Click(object sender, System.EventArgs e)
		{
			int syserrno = 0;
			int i_Error = 0;
			MSXE301x_WebReference.unsignedLong16FixedArrayParam pulChannelList = new MSXE301x_WebReference.unsignedLong16FixedArrayParam();
			MSXE301x_WebReference.unsignedLong16FixedArrayParam pulGain = new MSXE301x_WebReference.unsignedLong16FixedArrayParam();
			MSXE301x_WebReference.unsignedLong16FixedArrayParam pulPolarity = new MSXE301x_WebReference.unsignedLong16FixedArrayParam();
            MSXE301x_WebReference.DefaultResponse pResponse = new MSXE301x_WebReference.DefaultResponse();
			UInt64 ulNbrOfSequence = 0;
			UInt64 ulNbrMaxSequenceToTransfer = 0;
			UInt64 ulDelayMode = 0;
			UInt64 ulDelayTimeUnit = 0;
			UInt64 ulDelayValue = 0;
			UInt64 ulConversionTime = 0;
			UInt64 ulConversionTimeUnit = 0;
			UInt64 ulTriggerMask = 0;
			UInt64 ulTriggerMode = 0;
			UInt64 ulHardwareTriggerCount = 0;
			UInt64 ulByTriggerNbrOfSeqToAcquire = 0;
			UInt64 ulHardwareTriggerEdge = 0;
            Thread ClientThread;
            UInt64 ulCpt = 0;
            UInt64 [] ulType = new UInt64[16];



            NbrOfChannel = (ulong)CB_NbrOfChannels.SelectedIndex + 1;
            DataFormat = 0;

			pulChannelList.ulValue = new UInt64 [16];
			pulGain.ulValue = new UInt64 [16];
			pulPolarity.ulValue = new UInt64 [16];

			// CHANNEL CONFIGURATION
			pulChannelList.ulValue[0] = (ulong) CB_SeqCh0.SelectedIndex;
			pulGain.ulValue[0] = (ulong)CB_SeqGain0.SelectedIndex + 1;
			pulPolarity.ulValue[0] = (ulong)CB_SeqPolarity0.SelectedIndex;
			pulChannelList.ulValue[1] = (ulong) CB_SeqCh1.SelectedIndex;
			pulGain.ulValue[1] = (ulong)CB_SeqGain1.SelectedIndex + 1;
			pulPolarity.ulValue[1] = (ulong)CB_SeqPolarity1.SelectedIndex;
			pulChannelList.ulValue[2] = (ulong) CB_SeqCh2.SelectedIndex;
			pulGain.ulValue[2] = (ulong)CB_SeqGain2.SelectedIndex + 1;
			pulPolarity.ulValue[2] = (ulong)CB_SeqPolarity2.SelectedIndex;
			pulChannelList.ulValue[3] = (ulong) CB_SeqCh3.SelectedIndex;
			pulGain.ulValue[3] = (ulong)CB_SeqGain3.SelectedIndex + 1;
			pulPolarity.ulValue[3] = (ulong)CB_SeqPolarity3.SelectedIndex;
			pulChannelList.ulValue[4] = (ulong) CB_SeqCh4.SelectedIndex;
			pulGain.ulValue[4] = (ulong)CB_SeqGain4.SelectedIndex + 1;
			pulPolarity.ulValue[4] = (ulong)CB_SeqPolarity4.SelectedIndex;
			pulChannelList.ulValue[5] = (ulong) CB_SeqCh5.SelectedIndex;
			pulGain.ulValue[5] = (ulong)CB_SeqGain5.SelectedIndex + 1;
			pulPolarity.ulValue[5] = (ulong)CB_SeqPolarity5.SelectedIndex;
			pulChannelList.ulValue[6] = (ulong) CB_SeqCh6.SelectedIndex;
			pulGain.ulValue[6] = (ulong)CB_SeqGain6.SelectedIndex + 1;
			pulPolarity.ulValue[6] = (ulong)CB_SeqPolarity6.SelectedIndex;
			pulChannelList.ulValue[7] = (ulong) CB_SeqCh7.SelectedIndex;
			pulGain.ulValue[7] = (ulong)CB_SeqGain7.SelectedIndex + 1;
			pulPolarity.ulValue[7] = (ulong)CB_SeqPolarity7.SelectedIndex;
			pulChannelList.ulValue[8] = (ulong) CB_SeqCh8.SelectedIndex;
			pulGain.ulValue[8] = (ulong)CB_SeqGain8.SelectedIndex + 1;
			pulPolarity.ulValue[8] = (ulong)CB_SeqPolarity8.SelectedIndex;
			pulChannelList.ulValue[9] = (ulong) CB_SeqCh9.SelectedIndex;
			pulGain.ulValue[9] = (ulong)CB_SeqGain9.SelectedIndex + 1;
			pulPolarity.ulValue[9] = (ulong)CB_SeqPolarity9.SelectedIndex;
			pulChannelList.ulValue[10] = (ulong) CB_SeqCh10.SelectedIndex;
			pulGain.ulValue[10] = (ulong)CB_SeqGain10.SelectedIndex + 1;
			pulPolarity.ulValue[10] = (ulong)CB_SeqPolarity10.SelectedIndex;
			pulChannelList.ulValue[11] = (ulong) CB_SeqCh11.SelectedIndex;
			pulGain.ulValue[11] = (ulong)CB_SeqGain11.SelectedIndex + 1;
			pulPolarity.ulValue[11] = (ulong)CB_SeqPolarity11.SelectedIndex;
			pulChannelList.ulValue[12] = (ulong) CB_SeqCh12.SelectedIndex;
			pulGain.ulValue[12] = (ulong)CB_SeqGain12.SelectedIndex + 1;
			pulPolarity.ulValue[12] = (ulong)CB_SeqPolarity12.SelectedIndex;
			pulChannelList.ulValue[13] = (ulong) CB_SeqCh13.SelectedIndex;
			pulGain.ulValue[13] = (ulong)CB_SeqGain13.SelectedIndex + 1;
			pulPolarity.ulValue[13] = (ulong)CB_SeqPolarity13.SelectedIndex;
			pulChannelList.ulValue[14] = (ulong) CB_SeqCh14.SelectedIndex;
			pulGain.ulValue[14] = (ulong)CB_SeqGain14.SelectedIndex + 1;
			pulPolarity.ulValue[14] = (ulong)CB_SeqPolarity14.SelectedIndex;
			pulChannelList.ulValue[15] = (ulong) CB_SeqCh15.SelectedIndex;
			pulGain.ulValue[15] = (ulong)CB_SeqGain15.SelectedIndex + 1;
			pulPolarity.ulValue[15] = (ulong)CB_SeqPolarity15.SelectedIndex;

        

			// SEQUENCE CONFIGURATION
			ulNbrOfSequence = Convert.ToUInt64(TB_NbrOfSequence.Text.ToString(),10);
			ulNbrMaxSequenceToTransfer = Convert.ToUInt64(TB_NbrMaxOfSeqToTransfer.Text.ToString(),10);
			
			// DELAY CONFIGURATION
			ulDelayMode = (ulong)CB_DelayMode.SelectedIndex;
			ulDelayTimeUnit = (ulong)CB_DelayTimeUnit.SelectedIndex;
			ulDelayValue = Convert.ToUInt64(TB_DelayValue.Text.ToString(),10);

			// TRIGGER CONFIGURATION
			ulTriggerMask = (ulong)CB_TriggerMask.SelectedIndex;
			if ((ulTriggerMask == 1) || (ulTriggerMask == 3))
			{
				ulHardwareTriggerEdge = (ulong)CB_HardwareTriggerEdge.SelectedIndex + 1;
				ulHardwareTriggerCount = Convert.ToUInt64(TB_HardwareTriggerCount.Text.ToString(),10);
			}
			if (ulTriggerMask != 0)
			{
				ulTriggerMode = (ulong) CB_TriggerMode.SelectedIndex + 1;
				ulByTriggerNbrOfSeqToAcquire = Convert.ToUInt64(TB_NbrOfSeqForEachTrigger.Text.ToString(),10);
			}
		
			// CONVERSION TIME CONFIGURATION
			ulConversionTimeUnit = (ulong) CB_ConversionTimeUnit.SelectedIndex;
			ulConversionTime = Convert.ToUInt64(TB_ConversionTimeValue.Text.ToString(),10);

            /* Create the client stream */
            Client = new AddiData.ADDISocket.AsyncClientStream();

			// DATA FORMAT CONFIGURATION
            if (CHB_DataFormat16Bit.Checked)
            {
                DataFormat = DataFormat | 8;
                Client.SingleFramesSize = (int)(NbrOfChannel * 2);
            }
            else
            {
                Client.SingleFramesSize = (int)(NbrOfChannel * 4);
            }

			if (CHB_DataFormatTimeStamp.Checked)
			{
                DataFormat = DataFormat | 1;
                Client.SingleFramesSize = Client.SingleFramesSize + 8;

			}
			if (CHB_DataFormatSequenceCounter.Checked)
			{
                DataFormat = DataFormat | 2;
                Client.SingleFramesSize = Client.SingleFramesSize + 4;

			}
			if (CHB_DataFormatAnalogValue.Checked)
			{
                DataFormat = DataFormat | 4;
			}

            Client.NbrOfFrames = Convert.ToInt32(TB_NbrMaxOfSeqToTransfer.Text.ToString(), 10);

			if ((TB_IPAddress_0.Text.ToString()== "") || (TB_IPAddress_1.Text.ToString()== "") || (TB_IPAddress_2.Text.ToString()== "") || (TB_IPAddress_3.Text.ToString()== ""))
			{
				MessageBox.Show("The IP address you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
			}
			else
			{
				if ((Convert.ToUInt64(TB_IPAddress_0.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_0.Text.ToString(),10) < 256))
				{
					if ((Convert.ToUInt64(TB_IPAddress_1.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_1.Text.ToString(),10) < 256))
					{
						if ((Convert.ToUInt64(TB_IPAddress_2.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_2.Text.ToString(),10) < 256))
						{
							if ((Convert.ToUInt64(TB_IPAddress_3.Text.ToString(),10) >= 0) && (Convert.ToUInt64(TB_IPAddress_3.Text.ToString(),10) < 256))
							{
								MX_Common.Url = "http://" + TB_IPAddress_0.Text + "." + TB_IPAddress_1.Text + "."+ TB_IPAddress_2.Text + "." + TB_IPAddress_3.Text + ":5555";
								MSXE301x.Url = MX_Common.Url;

								try
								{
                                    pResponse = MSXE301x.AnalogInputGetChannelType(0, out ulType);
                                    if (pResponse.iReturnValue == 0)
                                    {
                                        for (ulCpt = 0; ulCpt < NbrOfChannel; ulCpt++)
                                        {
                                            ChannelType[ulCpt] = ulType[pulChannelList.ulValue[ulCpt]];
                                        }
                                        // Open the socket connection to receive the data
                                        SocketClient = null;
                                        SocketClient = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                                        SocketClient.ReceiveBufferSize = 1048576;
                                        SocketClient.Connect(TB_IPAddress_0.Text + "." + TB_IPAddress_1.Text + "." + TB_IPAddress_2.Text + "." + TB_IPAddress_3.Text, 8989);

                                        // Start the read socket and the user thread
                                        Client.Start(SocketClient);
                                        ClientThread = new Thread(ClientThreadFct);
                                        DisplayText = "";
                                        DisplayOnlyLast = RB_DisplayLast.Checked;

                                        i_Error = MSXE301x.AnalogInputInitAndStartSequence(NbrOfChannel, pulChannelList, pulGain, pulPolarity, ulConversionTime,
                                            ulConversionTimeUnit, ulNbrOfSequence, ulNbrMaxSequenceToTransfer, ulDelayMode, ulDelayTimeUnit, ulDelayValue, ulTriggerMask, ulTriggerMode, ulHardwareTriggerEdge, ulHardwareTriggerCount, ulByTriggerNbrOfSeqToAcquire, DataFormat, 0, 0, 0, out syserrno);
                                        if (i_Error != 0)
                                        {
                                            MessageBox.Show("AnalogInputInitAndStartSequence Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                                        }
                                        else
                                        {
                                            DisplayTimer.Enabled = true;
                                            ClientThread.Priority = ThreadPriority.Lowest;
                                            ClientThread.Start();
                                            GB_Channel.Enabled = false;
                                            GB_SequenceConfig.Enabled = false;
                                            GB_ConversionTime.Enabled = false;
                                            GB_DataFormat.Enabled = false;
                                            GB_Trigger.Enabled = false;
                                            GB_Delay.Enabled = false;
                                            GB_Sequence.Enabled = false;
                                            B_StartSample.Enabled = false;
                                            B_StopSample.Enabled = true;
                                            RB_DisplayLast.Enabled = false;
                                            RB_DisplayAll.Enabled = false;
                                        }
                                    }
                                    else
                                    {
                                        MessageBox.Show("AnalogInputGetChannelType Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                                    }

								}
								catch(Exception ex)
								{
									MessageBox.Show("Exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
								}

                                if (B_StopSample.Enabled == false)
                                {
                                    B_StopSample_Click(sender, null);
                                }
							}
							else
							{
								MessageBox.Show("The IP address (part 4) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
							}
						}
						else
						{
							MessageBox.Show("The IP address (part 3) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
						}
					}
					else
					{
						MessageBox.Show("The IP address (part 2) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					}
				}
				else
				{
					MessageBox.Show("The IP address (part 1) you enter is not valid, please try again.", "IP address error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
				}
			}
		
		
		}


        private void ClientThreadFct()
        {
            byte[]   SocketData;
            int      StreamCounter      = 0;
            int      OutStringIndex     = 0;
            int      Offset             = 0;
            int      StartStreamCounter = 0;
            ulong    Counter            = 0;
            ulong    Value              = 0;
            ulong    SeqCounter         = 0;
            ulong    TimeStampLow       = 0;
            ulong    TimeStampHigh      = 0;
            ulong    TimeStampLowmus    = 0;
            ulong    TimeStampLowms     = 0;
            Single   sValue             = 0;
            String[] sOutString;
            String[] sUnit = {" V "," mA "};

            

            if (DisplayOnlyLast == true)
            {
                StartStreamCounter = Client.NbrOfFrames - 1;
                sOutString = new String[1];
            }
            else
            {
                StartStreamCounter = 0;
                sOutString = new String[Client.NbrOfFrames];
            }

            while ((SocketData = Client.ReadData()) != null)
            {

                for (StreamCounter = StartStreamCounter, OutStringIndex = 0; StreamCounter < Client.NbrOfFrames; StreamCounter++, OutStringIndex ++)
                {
                    Offset = StreamCounter * Client.SingleFramesSize;

                    // Display the received value
                    if (DataFormat == 0)
                    {
                        sOutString[OutStringIndex] = "Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt32(SocketData, Offset + (int)(Counter * 4));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }
                    }

                    if (DataFormat == 1)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (ulong)(TimeStampLow / 1000);
                        TimeStampLowmus = (ulong)(TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt32(SocketData, Offset + (int)((Counter * 4) + 8));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }

                    }

                    if (DataFormat == 2)
                    {
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        sOutString[OutStringIndex] = "Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt32(SocketData, Offset + (int)((Counter * 4) + 4));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }

                    }

                    if (DataFormat == 3)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (TimeStampLow / 1000);
                        TimeStampLowmus = (TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 8));
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt32(SocketData, Offset + (int)((Counter * 4) + 12));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }
                    }

                    if (DataFormat == 4)
                    {
                        sOutString[OutStringIndex] = "Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            sValue = BitConverter.ToSingle(SocketData, Offset + (int)(Counter * 4));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                        }
                    }
                    if (DataFormat == 5)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (ulong)(TimeStampLow / 1000);
                        TimeStampLowmus = (ulong)(TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            sValue = BitConverter.ToSingle(SocketData, Offset + (int)((Counter * 4) + 8));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                        }

                    }
                    if (DataFormat == 6)
                    {
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        sOutString[OutStringIndex] = "Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            sValue = BitConverter.ToSingle(SocketData, Offset + (int)((Counter * 4) + 4));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                        }

                    }
                    if (DataFormat == 7)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (TimeStampLow / 1000);
                        TimeStampLowmus = (TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 8));
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            sValue = BitConverter.ToSingle(SocketData, Offset + (int)((Counter * 4) + 12));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + sValue.ToString("F3") + sUnit[ChannelType[Counter]];
                        }
                    }

                    if (DataFormat == 8)
                    {
                        sOutString[OutStringIndex] = "Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt16(SocketData, Offset + (int)(Counter * 2));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }
                    }

                    if (DataFormat == 9)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (ulong)(TimeStampLow / 1000);
                        TimeStampLowmus = (ulong)(TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt16(SocketData, Offset + (int)((Counter * 2) + 8));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }

                    }

                    if (DataFormat == 10)
                    {
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        sOutString[OutStringIndex] = "Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt16(SocketData, Offset + (int)((Counter * 2) + 4));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }

                    }

                    if (DataFormat == 11)
                    {
                        TimeStampHigh = BitConverter.ToUInt32(SocketData, (int)(Offset + 0));
                        TimeStampLow = BitConverter.ToUInt32(SocketData, (int)(Offset + 4));
                        TimeStampLowms = (TimeStampLow / 1000);
                        TimeStampLowmus = (TimeStampLow % 1000);
                        sOutString[OutStringIndex] = "Time stamp: " + ConvertFromTime_T((long)TimeStampHigh).ToString() + "." + TimeStampLowms.ToString("D3") + "." + TimeStampLowmus.ToString("D3");
                        SeqCounter = BitConverter.ToUInt32(SocketData, (int)(Offset + 8));
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Seq counter: " + SeqCounter.ToString();
                        sOutString[OutStringIndex] = sOutString[OutStringIndex] + " Channel value(s) :";
                        for (Counter = 0; Counter < NbrOfChannel; Counter++)
                        {
                            Value = BitConverter.ToUInt16(SocketData, Offset + (int)((Counter * 2) + 12));
                            sOutString[OutStringIndex] = sOutString[OutStringIndex] + " " + Value.ToString("X");
                        }
                    }

                    sOutString[OutStringIndex] = sOutString[OutStringIndex] + Environment.NewLine;
                }

                DisplayText = String.Concat(sOutString);

            }
        }

        private void DisplayTimer_Tick(object sender, EventArgs e)
        {
            TB_Values.Text = DisplayText;
        }

        private void B_StopSample_Click(object sender, System.EventArgs e)
        {
            int syserrno = 0;
            int i_Error = 0;

            DisplayTimer.Enabled = false;

            // Test if socket open
            if (SocketClient != null)
            {
                if (Client != null)
                    Client.Stoop();

                try
                {
                    // Close the socket connection
                    SocketClient.Shutdown(SocketShutdown.Both);
                    SocketClient.Close();
                    SocketClient = null;
                    System.GC.Collect();
                }
                catch (Exception ex)
                {
                    MessageBox.Show("Socket close connection exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }
            }

            if (B_StopSample.Enabled == true)
            {
                try
                {
                    i_Error = MSXE301x.AnalogInputStopAndReleaseSequence(out syserrno);
                    if (i_Error != 0)
                    {
                        MessageBox.Show("AnalogInputStopAndReleaseSequence Error : " + i_Error.ToString(), "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    }

                }
                catch (Exception ex)
                {
                    MessageBox.Show("AnalogInputStopAndReleaseSequence Exception occur : " + ex.Message, "Function error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }
            }

            GB_Channel.Enabled = true;
            GB_SequenceConfig.Enabled = true;
            GB_ConversionTime.Enabled = true;
            GB_DataFormat.Enabled = true;
            GB_Trigger.Enabled = true;
            GB_Delay.Enabled = true;
            GB_Sequence.Enabled = true;
            B_StartSample.Enabled = true;
            B_StopSample.Enabled = false;
            RB_DisplayLast.Enabled = true;
            RB_DisplayAll.Enabled = true;

        }


		private void TB_IPAddress_0_Enter(object sender, System.EventArgs e)
		{
			TB_IPAddress_0.SelectAll();
		}

		private void TB_IPAddress_1_Enter(object sender, System.EventArgs e)
		{
			TB_IPAddress_1.SelectAll();
		}

		private void TB_IPAddress_2_Enter(object sender, System.EventArgs e)
		{
			TB_IPAddress_2.SelectAll();
		}

		private void TB_IPAddress_3_Enter(object sender, System.EventArgs e)
		{
			TB_IPAddress_3.SelectAll();
		}

		private void CB_TriggerMask_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (CB_TriggerMask.SelectedIndex != 0)
			{
				CB_TriggerMode.Enabled = true;
			}
			else
			{
				CB_TriggerMode.Enabled = false;
				TB_NbrOfSeqForEachTrigger.Enabled = false;
				CB_HardwareTriggerEdge.Enabled = false;
				TB_HardwareTriggerCount.Enabled = false;

			}
			if (CB_TriggerMask.SelectedIndex == 1)
			{
				CB_HardwareTriggerEdge.Enabled = true;
				TB_HardwareTriggerCount.Enabled = true;
			}
			if (CB_TriggerMask.SelectedIndex == 2)
			{
				CB_HardwareTriggerEdge.Enabled = false;
				TB_HardwareTriggerCount.Enabled = false;
			}

			if (CB_TriggerMask.SelectedIndex == 3)
			{
				CB_HardwareTriggerEdge.Enabled = true;
				TB_HardwareTriggerCount.Enabled = true;
			}
		
		}

		private void CB_TriggerMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(CB_TriggerMode.SelectedIndex == 1)
			{
				TB_NbrOfSeqForEachTrigger.Enabled = true;
			}
			else
			{
				TB_NbrOfSeqForEachTrigger.Enabled = false;
			}
		
		}

		private void CB_DelayMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (CB_DelayMode.SelectedIndex != 0)
			{
				CB_DelayTimeUnit.Enabled = true;
				TB_DelayValue.Enabled = true;
			}
			else
			{
				CB_DelayTimeUnit.Enabled = false;
				TB_DelayValue.Enabled = false;
			}
		
		}

        private void F_Sequence_FormClosing(object sender, FormClosingEventArgs e)
        {
            B_StopSample_Click(sender, null);
        }

        private void CHB_DataFormat16Bit_CheckedChanged(object sender, EventArgs e)
        {
            CHB_DataFormatAnalogValue.Enabled = !CHB_DataFormat16Bit.Checked;
            if (CHB_DataFormat16Bit.Checked == true)
            {
                CHB_DataFormatAnalogValue.Checked = false;
            }
        }

	}
}

