/*+-----------------------------------------------------------------------+  */
/*| (C) ADDI-DATA GmbH Dieselstrae 3 D-77833 Ottersweier                 |  */
/*+-----------------------------------------------------------------------+  */
/*| Tel : +49 (0) 7223/9493-0     | email : info@addi-data.com            |  */
/*| Fax : +49 (0) 7223/9493-92    | Internet : http:$/$/www.addi-data.com   |*/
/*+-------------------------------+---------------------------------------+  */
/*| Project : APCI-3600           | Compiler : Microsoft Visual C++       |  */
/*| Module name : DEFINE.H        |  Version : 6.0                        |  */
/*+-------------------------------+---------------------------------------+  */
/*| Author : Guinot Catherine       Date : 09/09/2004                     |  */
/*+-----------------------------------------------------------------------+  */
/*| Description : Header file of the APCI-3600 : DEFINE                   |  */
/*+-----------------------------------------------------------------------+  */
/*|                             UPDATES                                   |  */
/*+----------+-----------+------------------------------------------------+  */
/*| Date     | Author    | Description of updates                         |  */
/*+----------+-----------+------------------------------------------------+  */
/*|          |           |                                                |  */
/*+----------+-----------+------------------------------------------------+  */



#ifdef __COMPILER__
   
   /**************************************************/
   /* DEFINE the type for the compilation of the DLL */
   /**************************************************/


   /* define the type for the intern variable of a function */
   #define	 CHAR	   char
   #define	 BYTE	   unsigned char
   #define	 INT	   int
   #define	 WORD	   unsigned short int
   #define	 LONG	   long
   #define	 DWORD	   unsigned long
   #define	 VOID	   void
   #define	 DWORD64   UInt64
   #define	 DOUBLE    double

   #define	 PCHAR	   CHAR *
   #define	 PBYTE	   BYTE *
   #define	 PINT	   INT *
   #define	 PWORD	   WORD *
   #define	 PLONG	   LONG *
   #define	 PDWORD	   DWORD *
   #define	 PVOID	   VOID *
   #define	 PDWORD64  DWORD64 *
   #define	 PDOUBLE   DOUBLE *

   /* define the type for the parameter of the function */
   #define	 CHAR_	   CHAR
   #define	 BYTE_	   BYTE
   #define	 INT_	   INT
   #define	 WORD_	   WORD  
   #define	 LONG_	   LONG
   #define	 DWORD_	   DWORD
   #define	 VOID_	   VOID
   #define	 DWORD64_  DWORD64 

   #define	 PCHAR_	   PCHAR
   #define	 PBYTE_	   PBYTE
   #define	 PINT_	   PINT
   #define	 PWORD_	   PWORD
   #define	 PLONG_	   PLONG
   #define	 PDWORD_   PDWORD	  
   #define	 PVOID_	   PVOID
   #define	 PDWORD64_ PDWORD64 

   /* define the type for the return of the function */
   #define	 _CHAR_	   CHAR far _stdcall
   #define	 _BYTE_	   BYTE far _stdcall
   #define	 _INT_	   INT far _stdcall
   #define	 _WORD_	   WORD far _stdcall
   #define	 _LONG_	   LONG far _stdcall
   #define	 _DWORD_   DWORD far _stdcall	  
   #define	 _VOID_	   VOID far _stdcall
   #define	 _DWORD64_ DWORD64 far _stdcall

   #define	 _PCHAR_   PCHAR far _stdcall	  
   #define	 _PBYTE_   PBYTE far _stdcall	  
   #define	 _PINT_	   PINT far _stdcall
   #define	 _PWORD_   PWORD far _stdcall	  
   #define	 _PLONG_   PLONG far _stdcall	  
   #define	 _PDWORD_  PDWORD far _stdcall	  
   #define	 _PVOID_   PVOID far _stdcall	  
   #define	 _PDWORD64_ PDWORD64 far _stdcall

   #define       __VOID__  Error __stdcall




   /*****************/
   /* System define */
   /*****************/
   #define WINDOWS_9X_DRIVER       0
   #define WINDOWS_NT_DRIVER       1
   #define WINDOWS_DRIVER_ERROR   -1
   
   #if !defined(VER_PLATFORM_WIN32_WINDOWS)
      #define VER_PLATFORM_WIN32_WINDOWS 1
   #endif

   

#endif



